// $Id: AwbiDataFile.h 1.7 2005/12/12 09:43:28EST 044579 Exp  $
//
// Class to manage historical Social Security parameters stored on disk.

#pragma once

#include <string>
#include "awbidat.h"

// {group:Calculation Classes}
// Description: Manages the historical Social Security parameters stored in a
//   file.
//
// Remarks: Manages the historical Social Security parameters stored in a
//   file.
class AwbiDataFile : public AwbiData
{
   protected:
      // Description: File information.
      std::string pathname;
   public:
      AwbiDataFile( int newLastYear, int newMaxyear,
         const std::string& newDirectory );
      void   read();
      void   read  ( std::istream& in );
      void   setAwbiFile();
      void   setData();
      void   write();
      void   write ( std::ostream& out );
};
