// $Id: AwincFile.h 1.9 2005/12/12 09:43:29EST 044579 Exp  $
//
// Declarations for class to manage average wage increases stored on disk.

#pragma once

#include "AwincDoc.h"

// {group:Calculation Classes}
// Description: Manages the file of projected average wage increases stored
//   on disk.
//
// Remarks: Manages the file of projected average wage increases stored
//   on disk.
class AwincFile : public AwincDoc
{
   protected:
      // Description: File information.
      std::string pathname;
   protected:
      void setAwFile( int altNum );
   public:
      AwincFile( int newIstart, int newMaxyear,
         const std::string& newDirectory );
      void read( int altNum );
      void setData ( int altNum );
      virtual void setData ( int altNum, const DoubleAnnual& newData );
      void setTitle( int altNum );
      void setTitle( int altNum, const std::string& newTitle );
      void write( int altNum );
};
