// $Id: BaseChangeType.h 1.4 2006/11/08 10:57:56EST 044579 Development  $
//
// The wage base change types allowed in the piadata library.

#pragma once

#include <string>

// {group:Calculation Classes}
// Description: The wage base change types allowed in the piadata library.
//
// Remarks: There is an enum and some static functions, but no member
// variables, so there are no instances of this class.
class BaseChangeType
{
public:
   // Description: Type of wage base changes.
   enum change_type {
      NONE = 0,         // No type of change chosen.
      AUTOMATIC,        // Automatic provisions apply.
      ADHOC,            // Ad hoc wage bases.
      NUM_CHANGE_TYPES  // Number of wage base change types.
   };
   // Description: Wage base titles.
   static const std::string mfwgbase[NUM_CHANGE_TYPES];
public:
   static void check( int ibascht );
   // Description: Returns description of wage base projection method.
   //
   // Returns: Description of wage base projection method.
   //
   // Arguments:
   //   ibascht: The type of wage base change.
   static std::string toString( change_type ibascht )
      { return(mfwgbase[ibascht]); }
private:
   BaseChangeType();
   BaseChangeType( const BaseChangeType& );
   ~BaseChangeType();
   BaseChangeType& operator=( const BaseChangeType& );
};
