// $Id: BaseYearFile.h 1.7 2005/12/12 09:43:29EST 044579 Exp  $
//
// Declarations for class to manage base year file stored on disk.

#pragma once

#include <string>
#include "baseyear.h"

// {group:Calculation Classes}
// Description: Manages the computation year for a pia program where it is
//   read from disk.
//
// Remarks: Manages the computation year for a pia program where it is
//   read from disk.
class BaseYearFile : public BaseYear
{
   protected:
      // Description: File information.
      std::string pathname;
   public:
      BaseYearFile( const std::string& newDirectory );
      void read();
      void write();
};
