// $Id: BaseYearNonFile.h 1.17 2008/04/25 13:03:08EDT 277133 Development  $
//
// Declarations for class to manage base year stored with code.

#pragma once

#if !defined(SHORTFILENAMES)
#include "baseyear.h"
#else
#include "baseyrh"
#endif

// {group:Calculation Classes}
// Description: Manages the computation year for a pia program where it is
//   stored with the code.
//
// Remarks: Currently YEAR is 2008 and TR_YEAR is 2008.
class BaseYearNonFile : public BaseYear
{
public:
   // Description: Year for which data has been stored.
   //
   // Remarks: The value of 2008 means that the December 2007 benefit 
   // increase, 2006 average wage, and 2008 wage base are available.
   // This is updated in October after the annual automatic adjustment
   // announcement.
   static const int YEAR = 2008;
   // Description: Year of Trustees Report assumptions.
   //
   // Remarks: This is updated when the TR is released, so it is equal to YEAR
   // from the TR date to October, and 1 less than YEAR from October to the TR
   // date.
   static const int TR_YEAR = 2008;
public:
   BaseYearNonFile();
   void read();
   void write();
};
