// $Id: BiprojFile.h 1.11 2005/12/12 09:43:29EST 044579 Exp  $
//
// Declarations for class to manage projected benefit increases stored on disk.

#pragma once

#include "biproj.h"

// {group:Calculation Classes}
// Description: Manages the file of projected benefit increases stored on disk.
//
// Remarks: Manages the file of projected benefit increases stored on disk.
class BiprojFile : public Biproj
{
   protected:
      // Description: File information.
      std::string pathname;
   protected:
      void setBiFile ( int altNum );
   public:
      BiprojFile( int newIstart, int newMaxyear,
         const std::string& newDirectory );
      void read( int altNum );
      void setData( int altNum );
      void setData( int altNum, const DoubleAnnual& newData );
      void setTitle( int altNum );
      void setTitle( int altNum, const std::string& newTitle );
      void write( int altNum );
};
