// $Id: ChildCareCalcLC.h 1.10 2003/05/22 09:25:53EDT sfmckay Exp  $
//
// Declarations needed for class to manage childcare dropout year pia
// calculation functions.

#ifndef __CHILDCARECALCLC_H
#define __CHILDCARECALCLC_H

#include "ChildCareCalc.h"
class LawChangeArray;

// {group:Calculation Classes}
// Description: Manages the functions required for calculation of a wage
//   indexed Social Security benefit using childcare dropout years, with law
//   changes.
//
// Remarks: Manages the functions required for calculation of a wage
//   indexed Social Security benefit using childcare dropout years, with law
//   changes.
class ChildCareCalcLC : public ChildCareCalc
{
   protected:
      // Law change parameters.
      const LawChangeArray& lawChange;
   public:
      ChildCareCalcLC( const WorkerDataGeneral& newWorkerData,
         const PiaData& newPiaData, const PiaParams& newPiaParams,
         int newMaxyear, const LawChangeArray& newLawChange );
      virtual ~ChildCareCalcLC();
      int    childCareDropMaxCal() const;
      bool   isApplicable();
      static bool isApplicable( const WorkerDataGeneral& workerData,
         const PiaData& piaData, WorkerDataGeneral::ben_type ioasdi,
         const LawChangeArray& lawChange );
   private:
      ChildCareCalcLC operator=( ChildCareCalcLC newChildCareCalcLC );
};

#endif  // __CHILDCARECALCLC_H
