// $Id: ConfigFile.h 1.8 2005/12/12 09:43:29EST 044579 Exp  $
//
// Declarations for class to manage configuration information stored on disk.

#pragma once

#include <string>
#include "config.h"

// {group:Calculation Classes}
// Description: Manages the configuration information used by
//   the PIA calculation program, stored in a file.
//
// Remarks: Manages the configuration information used by
//   the PIA calculation program, stored in a file.
class ConfigFile : public Config
{
   protected:
      // Description: File information.
      std::string pathname;
   public:
      ConfigFile( const std::string& newDirectory );
      ~ConfigFile();
      void read();
      void write();
};
