// $Id: DateFormatter.h 1.3 2007/03/21 10:40:51EDT 044579 Development  $
//
// Declarations for class to format dates.

#pragma once

#include "boost/date_time/gregorian/greg_date.hpp"
class DateMoyr;

// {group:Miscellaneous Classes}
// Description: Manages static functions to format and parse dates.
//
// Remarks: Manages static functions to format and parse dates.
class DateFormatter
{
public:
   static boost::gregorian::date date_from_undelimited_us_string(
      const std::string& line );
   static DateMoyr month_year_from_undelimited_us_string(
      const std::string& line );
   static std::string toString( const boost::gregorian::date& dateModyyr );
   static std::string toString( const boost::gregorian::date& dateModyyr,
      const std::string& formatModyyr );
   static std::string toString( const DateMoyr& dateMoyr );
   static std::string toString( const DateMoyr& dateMoyr,
     const std::string& formatMoyr );
};
