// $Id: DibGuarLC.h 1.1 2005/08/31 15:37:46EDT 277133 Exp  $
//
// Declarations needed for class to manage DIB guarantee pia calculation
// functions with law changes.

#pragma once
#ifndef __DIBGUARLC_H
#define __DIBGUARLC_H

#include "DibGuar.h"
class LawChangeArray;

// {group:Calculation Classes}
// Description: Manages the functions required for calculation
//   of a DIB guarantee Social Security benefit with law changes.
//
// Remarks: Manages the functions required for calculation
//   of a DIB guarantee Social Security benefit with law changes.
class DibGuarLC : public DibGuar
{
   protected:
      // Law change parameters.
      const LawChangeArray& lawChange;
   public:
      DibGuarLC( const WorkerDataGeneral& newWorkerData,
         const PiaData& newPiaData, const PiaParams& newPiaParams,
         int newMaxyear, const LawChangeArray& newLawChange );
      virtual ~DibGuarLC();
      bool   isApplicable();
      static bool isApplicable( const DateMoyr& entDate,
         const DateMoyr& benefitDate, const WorkerDataGeneral& workerData,
         const PiaData& piaData, WorkerDataGeneral::ben_type ioasdi,
         const LawChangeArray& lawChange );
   private:
      DibGuarLC operator=( DibGuarLC newDibGuarLC );
};

#endif  // __DIBGUARLC_H
