// $Id: FrozMin.h 1.9 2003/05/22 09:25:54EDT sfmckay Exp  $
//
// Declarations needed for class to manage frozen minimum pia calculation
// functions.

#ifndef __FROZMIN_H
#define __FROZMIN_H

#include "PiaMethod.h"

// {group:Calculation Classes}
// Description: Manages the functions required for calculation of
//   a frozen minimum Social Security benefit.
//
// Remarks: Manages the functions required for calculation of
//   a frozen minimum Social Security benefit.
class FrozMin : public PiaMethod
{
   public:
      FrozMin( const WorkerDataGeneral& newWorkerData,
         const PiaData& newPiaData, const PiaParams& newPiaParams,
         int newMaxyear );
      virtual ~FrozMin();
      void   calculate();
      bool   isApplicable();
      void   setFrozMin();
      static bool isApplicable( const WorkerDataGeneral& workerData,
         const PiaData& piaData );
   private:
      FrozMin operator=( FrozMin newFrozMin );
};

#endif  // __FROZMIN_H
