// $Id: LawChangeArray.h 1.9 2005/12/14 17:38:33EST 044579 Exp  $
//
// Declarations needed for class to manage LawChange parameters.

#pragma once

#include <vector>
#include "document.h"
#include "LawChange.h"
class LawChangeBPFRACWAGE;
class LawChangeNEWFORMULA;
class LawChangeDECLINEPERC;
class LawChangeBPSPECRATE;
class LawChangeBPMINCONST;
class LawChangeAGE65COMP;
class LawChangeDROPOUTCHG;
class LawChangeALLEARN;
class LawChangeMARRLENGTH;
class LawChangeNEWSPECMIN;
class LawChangeTAXRATECHG;
class LawChangeNRACHANGE;
class LawChangeWIFEFACTOR;
class LawChangeWIDFACTOR;
class LawChangeCHILDCARECREDIT;
class LawChangeCHILDCAREDROPOUT;
class LawChangeTAXBENCHG;
class LawChangeWAGEBASECHG;
class LawChangeCOLACHANGE;
class LawChangePSAACCT;

// {group:Calculation Classes}
// Description: Manages an array of LawChange's.
//
// Remarks: Manages an array of LawChange's.
class LawChangeArray : public Document
{
   public:
      // Pointers to the law changes.
      std::vector<LawChange *> lawChange;
      // Pointer to LawChangeBPFRACWAGE.
      LawChangeBPFRACWAGE *lawChangeBPFRACWAGE;
      // Pointer to LawChangeNEWFORMULA.
      LawChangeNEWFORMULA *lawChangeNEWFORMULA;
      // Pointer to LawChangeDECLINEPERC.
      LawChangeDECLINEPERC *lawChangeDECLINEPERC;
      // Pointer to LawChangeBPSPECRATE.
      LawChangeBPSPECRATE *lawChangeBPSPECRATE;
      // Pointer to LawChangeBPMINCONST.
      LawChangeBPMINCONST *lawChangeBPMINCONST;
      // Pointer to LawChangeAGE65COMP.
      LawChangeAGE65COMP *lawChangeAGE65COMP;
      // Pointer to LawChangeDROPOUTCHG.
      LawChangeDROPOUTCHG *lawChangeDROPOUTCHG;
      // Pointer to LawChangeALLEARN.
      LawChangeALLEARN *lawChangeALLEARN;
      // Pointer to LawChangeMARRLENGTH.
      LawChangeMARRLENGTH *lawChangeMARRLENGTH;
      // Pointer to LawChangeNEWSPECMIN.
      LawChangeNEWSPECMIN *lawChangeNEWSPECMIN;
      // Pointer to LawChangeTAXRATECHG.
      LawChangeTAXRATECHG *lawChangeTAXRATECHG;
      // Pointer to LawChangeNRACHANGE.
      LawChangeNRACHANGE *lawChangeNRACHANGE;
      // Pointer to LawChangeWIFEFACTOR.
      LawChangeWIFEFACTOR *lawChangeWIFEFACTOR;
      // Pointer to LawChangeWIDFACTOR.
      LawChangeWIDFACTOR *lawChangeWIDFACTOR;
      // Pointer to LawChangeCHILDCARECREDIT.
      LawChangeCHILDCARECREDIT *lawChangeCHILDCARECREDIT;
      // Pointer to LawChangeCHILDCAREDROPOUT.
      LawChangeCHILDCAREDROPOUT *lawChangeCHILDCAREDROPOUT;
      // Pointer to LawChangeTAXBENCHG.
      LawChangeTAXBENCHG *lawChangeTAXBENCHG;
      // Pointer to LawChangeWAGEBASECHG.
      LawChangeWAGEBASECHG *lawChangeWAGEBASECHG;
      // Pointer to LawChangeCOLACHANGE.
      LawChangeCOLACHANGE *lawChangeCOLACHANGE;
      // Pointer to LawChangePSAACCT.
      LawChangePSAACCT *lawChangePSAACCT;
protected:
   // Description: Total of indicators.
   int indTotal;
public:
   LawChangeArray( int startt, int newMaxyear,
      const std::string& newDirectory );
   ~LawChangeArray();
   // Description: Returns total of law-change indicators (is greater
   //   than 0 if any law changes).
   //
   // Returns: Total of law-change indicators (is greater than 0 if any law
   //   changes).
   int getIndTotal() const { return(indTotal); }
   void indTotalCal();
};
