// $Id: LawChangeBPMINCONST.h 1.3 2006/11/08 10:59:00EST 044579 Development  $
//
// Declarations needed for class to manage parameters for a proposal to
// increase the bend points in the benefit formula by the growth in wages minus
// a specified rate.

#pragma once

#include "LawChange.h"

// {group:Calculation Classes}
// Description: Parameters for a proposal to increase the bend points in
//   the benefit formula by a specified growth rate.
//
// Remarks: There is one additional data field compared to the base class.
class LawChangeBPMINCONST : public LawChange
{
protected:
   // Description: Constant percentage subtracted from bend point increase.
   double cp;
public:
   LawChangeBPMINCONST();
   // Description: Returns constant percentage.
   //
   // Returns: Constant percentage.
   double getConstantPerc() const { return(cp); }
   void prepareStrings( std::vector<std::string> &outputString );
   void read( std::istream& infile );
   // Description: Sets constant percentage.
   //
   // Arguments:
   //   newConstantPerc: New constant percentage.
   void setConstantPerc( double newConstantPerc ) { cp = newConstantPerc; }
   void write( std::ostream& out ) const;
};
