// $Id: LawChangeMARRLENGTH.h 1.3 2006/11/08 10:58:59EST 044579 Development  $
//
// Declarations needed for class to manage parameters for a proposal to
// change the length of marriage requirement for divorced spouse benefits.

#pragma once

#include "LawChange.h"

// {group:Calculation Classes}
// Description: Parameters for a proposal to change the length of marriage
// requirement for divorced spouse benefits.
//
// Remarks: There is one additional data field compared to the base class.
class LawChangeMARRLENGTH : public LawChange
{
protected:
   // Description: Number of years married needed for divorced spouse benefit.
   int marrLengthForDivBen;
public:
   LawChangeMARRLENGTH();
   // Description: Returns the number of years of marriage needed
   //   for a divorced spouse benefit.
   //
   // Returns: The number of years of marriage needed for a divorced
   //   spouse benefit.
   int getMarrLengthForDivBen() const { return marrLengthForDivBen; }
   void prepareStrings( std::vector<std::string> &outputString );
   void read( std::istream& infile );
   // Description: Sets the number of years of marriage needed
   //   for a divorced spouse benefit.
   //
   // Arguments:
   //   newMarrLength: New number of years of marriage.
   void setMarrLengthForDivBen( int newMarrLength )
      { marrLengthForDivBen = newMarrLength; }
   void write( std::ostream& out ) const;
};
