// $Id: LawChangeNRACHANGE.h 1.2 2004/03/31 14:02:21EST sfmckay Exp  $
//
// Declarations needed for class to manage parameters for a proposal to
// change the full retirement age.

#ifndef __LAWCHANGENRACHANGE_H
#define __LAWCHANGENRACHANGE_H

#include "LawChange.h"

// {group:Calculation Classes}
// Description: Parameters for a proposal to change the full retirement age.
//
// Remarks: If the indicator is greater than zero, it means the following:
// meanings:
//
//   1 = keep retirement age at 65 (eliminate the present-law increase to 67).
//   2 = eliminate plateau between 66 and 67, then remain at 67.
//   3 = eliminate plateau between 66 and 67, then index to life expectancy
//       (increase by 1 month every 2 years).
class LawChangeNRACHANGE : public LawChange
{
   protected:
   public:
      LawChangeNRACHANGE();
      void prepareStrings( std::vector<std::string> &outputString );
};

#endif  // __LAWCHANGENRACHANGE_H
