// $Id: LawChangeTAXBENCHG.h 1.2 2004/03/31 14:02:22EST sfmckay Exp  $
//
// Declarations needed for class to manage parameters for a proposal to
// change the taxation of benefits.

#ifndef __LAWCHANGETAXBENCHG_H
#define __LAWCHANGETAXBENCHG_H

#include "LawChange.h"

// {group:Calculation Classes}
// Description: Parameters for a proposal to change the taxation of benefits.
//
// Remarks: If the indicator is greater than zero, it means the following:
//
//   1 = phase thresholds down to zero over 10 years (Ball proposal).
//   2 = tax 100 percent of benefits, but allow a deduction for OASDI
//       contributions similar to that for private pensions.
//   3 = combination of 1 and 2.
class LawChangeTAXBENCHG : public LawChange
{
   protected:
   public:
      LawChangeTAXBENCHG();
      void prepareStrings( std::vector<std::string> &outputString );
};

#endif  // __LAWCHANGETAXBENCHG_H
