// $Id: LawChangeWIDFACTOR.h 1.2 2004/03/31 14:02:22EST sfmckay Exp  $
//
// Declarations needed for class to manage parameters for a proposal to
// change the factor for an aged widow(er) benefit.

#ifndef __LAWCHANGEWIDFACTOR_H
#define __LAWCHANGEWIDFACTOR_H

#include "LawChange.h"

// {group:Calculation Classes}
// Description: Parameters for a proposal to change the factor for an aged
// widow(er) benefit.
//
// Remarks: There are no additional data fields compared to the base class.
//
// If the indicator is greater than zero, it means that the present-law factor
// for an aged widow(er) of 100 percent is increaseed to 112.5 percent,
// effective immediately if the indicator is 1, or phased in over 40 years if
// the indicator is 2.
class LawChangeWIDFACTOR : public LawChange
{
   protected:
   public:
      LawChangeWIDFACTOR();
      void prepareStrings( std::vector<std::string> &outputString );
};

#endif  // __LAWCHANGEWIDFACTOR_H
