// $Id: LawChangeWIFEFACTOR.h 1.2 2004/03/31 14:02:23EST sfmckay Exp  $
//
// Declarations needed for class to manage parameters for a proposal to
// change the factor for an aged spouse benefit.

#ifndef __LAWCHANGEWIFEFACTOR_H
#define __LAWCHANGEWIFEFACTOR_H

#include "LawChange.h"

// {group:Calculation Classes}
// Description: Parameters for a proposal to change the factor for an aged
// spouse benefit.
//
// Remarks: There are no additional data fields compared to the base class.
//
// If the indicator is greater than zero, it means that the present-law factor
// for an aged spouse of 50 percent is reduced to 33 percent, effective
// immediately if the indicator is 1, or phased in over 17 years at 1 percent
// per year if the indicator is 2.
class LawChangeWIFEFACTOR : public LawChange
{
   protected:
   public:
      LawChangeWIFEFACTOR();
      void prepareStrings( std::vector<std::string> &outputString );
};

#endif  // __LAWCHANGEWIFEFACTOR_H
