// $Id: OldPia.h 1.9 2005/10/26 14:33:41EDT 277133 Exp  $
//
// Declarations needed for class to manage pia table calculation functions.

#ifndef __OLDPIA_H
#define __OLDPIA_H

#include "PiaMethod.h"

// {group:Calculation Classes}
// Description: Parent of all methods using pia tables in the calculation of a
//   Social Security benefit.
//
// Remarks: Parent of all methods using pia tables in the calculation of a
//   Social Security benefit.
class OldPia: public PiaMethod
{
protected:
   // Description: Maximum ame in pia interval.
   int iamemax;
public:
   OldPia( const WorkerDataGeneral& newWorkerData, const PiaData& newPiaData,
      const PiaParams& newPiaParams, int newMaxyear,
      const std::string& newTitle, pia_type newMethod );
   virtual ~OldPia();
   table_type cpiBase( const DateMoyr& benefitDate, bool freeze,
      double amesub, bool saveInfo );
   float mfbOldCal( bool belowMin );
   table_type oldPiaCal();
   table_type pl1952( int amesub );
   table_type pl1954( int amesub );
   table_type pl1958( int amesub );
   table_type pl1965( int amesub );
   table_type pl1967( int amesub );
   table_type pl1969( int amesub );
   table_type pl1971( int amesub );
   table_type pl1972( int amesub );
   void pl1973( int amesub );
   void pl1973ext( int amesub );
private:
   OldPia& operator=( OldPia& newOldPia );
};

#endif  // __OLDPIA_H
