// $Id: OldStartLC.h 1.14 2003/09/24 13:25:00EDT sfmckay Exp  $
//
// Declarations needed for class to manage old-start pia calculation functions
// with changes from present law.

#pragma once
#ifndef __OLDSTARTLC_H
#define __OLDSTARTLC_H

#include "OldStart.h"
class LawChangeArray;

// {group:Calculation Classes}
// Description: Manages the functions required for calculation
//   of an old start Social Security benefit with law changes.
//
// Remarks: Manages the functions required for calculation
//   of an old start Social Security benefit with law changes.
class OldStartLC : public OldStart
{
   protected:
      // Law change parameters.
      const LawChangeArray& lawChange;
   public:
      OldStartLC( const WorkerDataGeneral& newWorkerData,
         const PiaData& newPiaData, const PiaParams& newPiaParams,
         int newMaxyear, const DateMoyr& newEntDate,
         const LawChangeArray& newLawChange );
      virtual ~OldStartLC();
      bool   isApplicable();
      static bool isApplicable( const DateMoyr& entDate,
         const DateMoyr& benefitDate, const PiaData& piaData,
         const LawChangeArray& lawChange );
   private:
      OldStartLC operator=( OldStartLC newOldStartLC );
};

#endif  // __OLDSTARTLC_H
