// $Id: OutfileHTML.h 1.4 2008/01/07 10:18:38EST 729915 Development  $
//
// Declarations needed for classes to manage print output to a file.

#pragma once

#include <fstream>
#include "outfile.h"

// {group:Miscellaneous Classes}
// Description: Manages the print output functions, when printing to an HTML
//   file.
//
// Remarks: Manages the print output functions, when printing to an HTML file.
class OutFileHTML : public Outfile
{
public:
   // Description: The CSS page.
   std::string cssPage;
public:
   OutFileHTML( const std::string& newCorename = std::string("") );
   OutFileHTML( const std::string& newDirectory,
      const std::string& newCorename );
   ~OutFileHTML();
   // Description: Does nothing.
   void advanceLine() { }
   void footer();
   // Description: Does nothing.
   void formfeed() { }
   void header( const std::string& webTitle );
   void StartTable( int percent );
   void EndTable();
   void StartWhiteRow();
   void StartGrayRow();
   void EndRow();
   void Caption( const std::string& caption );
   void RowStub( const std::string& rowstub );
   void CellHeader( int rowspan, int colspan, const std::string& cellheader );
   void PrintStringRight( const std::string& stringright );
   void Print2Decimal( double decimal );
   void PrintInteger( int interger );
   void pgtitle();
   // Description: Prints one line with a carriage return.
   //
   // Arguments:
   //   str: String to print.
   void printLine( const std::string& str )
      { out << str << std::endl; }
   // Arguments:
   //   str: String to print.
   void printLine( const char* str )
      { out << str << std::endl; }
   // Description: Prints one line without a carriage return.
   //
   // Arguments:
   //   str: String to print.
   void printLinena( const std::string& str )
      { out << str << '\r'; }
   // Arguments:
   //   str: String to print.
   void printLinena( const char* str )
      { out << str << '\r'; }
};
