// $Id: Path.h 1.2 2005/12/14 17:38:04EST 044579 Exp  $
//
// Declarations for class that provides operations on string instances that
// contain file or directory path information.

#pragma once

#include <string>

// {group:Miscellaneous Classes}
// Description: Provides operations on string instances that
// contain file or directory path information.
//
// Remarks: All members of this class are static and can therefore be called
// without having an instance of a path.
class Path
{
public:
   // Description: The alternate character used to separate directory levels in
   // a path string (forward slash).
   static const char altDirectorySeparatorChar = '/';
   // Description: The character used to separate directory levels in
   // a path string (backward slash).
   static const char directorySeparatorChar = '\\';
   // Description: A string with all the possible separator characters.
   static const std::string allSeparators;
public:
   static std::string changeExtension( const std::string& path,
      const std::string& extension );
   static std::string combine( const std::string& path1,
      const std::string& path2 );
   static std::string getDirectoryName( const std::string& path );
};
