// $Id: PercPiaOut.h 1.4 2006/11/08 10:59:17EST 044579 Development  $
//
// Declarations needed for class to manage array of pia formula percentages.

#pragma once

#include "dbleann.h"
#include "avgwg.h"

// {group:Calculation Classes}
// Description: Manages the array of pia formula percentages,
//   projected for all years.
//
// Remarks: An instance of this class is used in PiaParams.
class PercPiaOut
{
protected:
   // Description: Array of first pia percentages.
   DoubleAnnual percPia1;
   // Description: Array of second pia percentages.
   DoubleAnnual percPia2;
   // Description: Array of third pia percentages.
   DoubleAnnual percPia3;
public:
   PercPiaOut( int newLastYear );
   PercPiaOut( int newBaseYear, int newLastYear );
   // Description: Returns first percentage for specified year.
   //
   // Returns: First percentage for specified year.
   //
   // Arguments:
   //   year: Year for which first percentage is desired.
   double getPercPia1( int year ) const { return(percPia1[year]); }
   // Description: Returns second percentage for specified year.
   //
   // Returns: Second percentage for specified year.
   //
   // Arguments:
   //   year: Year for which second percentage is desired.
   double getPercPia2( int year ) const { return(percPia2[year]); }
   // Description: Returns third percentage for specified year.
   //
   // Returns: Third percentage for specified year.
   //
   // Arguments:
   //   year: Year for which third percentage is desired.
   double getPercPia3( int year ) const { return(percPia3[year]); }
   void setData( int year, double perc1, double perc2, double perc3 );
};
