// $Id: PiaCalAny.h 1.30 2006/11/08 10:59:16EST 044579 Development  $
//
// Declarations needed for class to manage pia calculation functions used in
// Anypia.

#pragma once

#include "PiaCalLC.h"
#include "pebs.h"
class PiaParamsAny;
class EarnProject;
class UserAssumptions;
class Assumptions;

// {group:Calculation Classes}
// Description: Manages the additional functions required for
//   calculation of a Social Security benefit in the Anypia program.
//
// Remarks: An instance of this class is created in the Anypia program.
class PiaCalAny : public PiaCalLC
{
public:
   // Description: Widow and other family member calculation data.
   WorkerDataArray& widowDataArray;
   // Description: Widow and other family member calculation data.
   PiaDataArray& widowArray;
   // Description: Secondary benefits.
   SecondaryArray& secondaryArray;
   // Description: Projected earnings.
   EarnProject& earnProject;
   // Description: User-specified assumptions.
   UserAssumptions& userAssumptions;
protected:
   // Description: Pia calculation parameters.
   PiaParamsAny& piaParamsAny;
   // Description: Statement data.
   Pebs& pebs;
public:
   PiaCalAny( WorkerDataGeneral& newWorkerData, PiaData& newPiaData,
      WorkerDataArray& newWidowDataArray, PiaDataArray& newWidowArray,
      PiaParamsAny& newPiaParamsAny, UserAssumptions& newUserAssumptions,
      SecondaryArray& newSecondary, const LawChangeArray& newLawChange,
      Pebs& newPebs, EarnProject& newEarnProject );
   ~PiaCalAny();
   void calculate1( Assumptions& assumptions );
   void calculate2( const DateMoyr& entDate );
   void dataCheck( const DateMoyr& entDate );
   void earnProjection() const;
   void earnProSteady();
   void pebsOabCal();
   void pebsSetup( Pebs::pebes_type type, const DateMoyr& entDate );
private:
   PiaCalAny operator=( PiaCalAny newPiaCalAny );
};
