// $Id: PiaCalLC.h 1.42 2005/10/19 09:36:15EDT 044579 Exp  $
//
// Declarations needed for class to manage law-change pia calculation
// functions.

#pragma once

#include "piacal.h"
class LawChangeArray;
class LawChangeCHILDCARECREDIT;

// {group:Calculation Classes}
// Description: Manages all of the law-change functions required
//   for calculation of a Social Security benefit.
//
// Remarks: Manages all of the law-change functions required
//   for calculation of a Social Security benefit.
class PiaCalLC : public PiaCal
{
   protected:
      // Law change parameters.
      const LawChangeArray &lawChange;
   public:
      PiaCalLC ( WorkerDataGeneral& newWorkerData, PiaData& newPiaData,
         const PiaParams& newPiaParams, const LawChangeArray& newLawChange );
      ~PiaCalLC();
      void   calculate2( const DateMoyr& entDate );
      void   earnProjection() const;
      void   nCal     ( CompPeriod& compPeriod, const DateMoyr& entDate );
      int    nelapsed2Cal( const DateMoyr& entDate );
      void   piaCal( const DateMoyr& entDate );
      void   reindWidCal( const WorkerDataGeneral& widowData,
         const PiaData& widowPiaData, Secondary& secondary );
      static double childCareMaxCreditCal( const WorkerDataGeneral& workerData,
         const DoubleAnnual& earnOasdi, const AverageWage& awi,
         const LawChangeCHILDCARECREDIT& lawChange, int year );
      static void childCareCreditCal( const WorkerDataGeneral& workerData,
         PiaData& piaData, const PiaParams& piaParams,
         const LawChangeArray& lawChange );
      static void childCareEarningsCal( const WorkerDataGeneral& workerData,
         PiaData& piaData, const LawChangeArray& lawChange );
      static void childCareQcCal( const WorkerDataGeneral& workerData,
         PiaData& piaData, const PiaParams& piaParams,
         const LawChangeArray& lawChange );
      static void earnProjectionStatic( const WorkerDataGeneral& workerData,
         PiaData& piaData, const PiaParams& piaParams,
         const LawChangeArray& lawChange );
   private:
      PiaCalLC operator=( PiaCalLC newPiaCalLC );
};
