// $Id: PiaCalPL.h 1.23 2005/10/19 09:36:16EDT 044579 Exp  $
//
// Declarations needed for class to manage present law pia calculation
// functions.

#pragma once

#include "piacal.h"

// {group:Calculation Classes}
// Description: Manages all of the present law functions required
//   for calculation of a Social Security benefit.
//
// Remarks: Manages all of the present law functions required
//   for calculation of a Social Security benefit.
class PiaCalPL : public PiaCal
{
public:
   PiaCalPL ( WorkerDataGeneral& newWorkerData, PiaData& newPiaData,
      const PiaParams& newPiaParams );
   ~PiaCalPL();
   void calculate2( const DateMoyr& entDate );
   void piaCal( const DateMoyr& entDate );
   void reindWidCal( const WorkerDataGeneral& widowData,
      const PiaData& widowPiaData, Secondary& secondary );
private:
   PiaCalPL operator=( PiaCalPL newPiaCalPL );
};
