// $Id: PiaParamsLCTR.h 1.2 2005/02/25 09:23:53EST sfmckay Exp  $
//
// Declarations needed for PiaParamsLCTR class.

#pragma once
#ifndef __PIAPARAMSLCTR_H
#define __PIAPARAMSLCTR_H

#include "piaparmsLC.h"
#include "AssumptionType.h"

// {group:Calculation Classes}
// Description: Manages the changed law Social Security parameters, already
// projected based on a Trustees Report assumption.
//
// Remarks: Often the user knows that only one version of PiaParams will be
// used. This subclass of PiaParams builds in a specified Trustees Report
// assumption, so no additional work is necessary to begin using it.
class PiaParamsLCTR : public PiaParamsLC
{
public:
   PiaParamsLCTR( int newMaxyear, AssumptionType::assum_type altNum,
      const LawChangeArray& newLawChange );
   virtual ~PiaParamsLCTR();
};

#endif  // __PIAPARAMSLCTR_H
