// $Id: PiaParamsTR.h 1.3 2006/11/08 10:59:36EST 044579 Development  $
//
// Declarations needed for pia calculation parameters using present law only,
// with projected values set to Trustees Report assumptions.

#pragma once

#include "piaparmsPL.h"
#include "AssumptionType.h"

// {group:Calculation Classes}
// Description: Manages the present law Social Security parameters required
// to calculate Social Security benefits, with projected values set to
// Trustees Report assumptions.
//
// Remarks: Manages the present law Social Security parameters required
// to calculate Social Security benefits, with projected values set to
// Trustees Report assumptions.
class PiaParamsTR : public PiaParamsPL
{
protected:
   // Description: Trustees Report alternative (ALTERN_I, ALTERN_IIB,
   // ALTERN_III, or ALTERN_IIA).
   AssumptionType::assum_type altNum;
public:
   PiaParamsTR( int newMaxyear, AssumptionType::assum_type newAltNum );
   ~PiaParamsTR();
   // Description: Returns the Trustees Report assumption.
   //
   // Returns: The Trustees Report assumption.
   AssumptionType::assum_type getAltNum() const { return altNum; }
};
