// $Id: PiaTable.h 1.11 2003/05/23 12:36:04EDT sfmckay Exp  $
//
// Declarations needed for class to manage Pia Table pia calculation functions.

#ifndef __PIATABLE_H
#define __PIATABLE_H

#include "OldPia.h"

// {group:Calculation Classes}
// Description: Manages the functions required for calculation of
//   a Pia Table Social Security benefit.
//
// Remarks: Manages the functions required for calculation of
//   a Pia Table Social Security benefit.
class PiaTable : public OldPia
{
   public:
      PiaTable( const WorkerDataGeneral& newWorkerData,
         const PiaData& newPiaData, const PiaParams& newPiaParams,
         int newMaxyear );
      virtual ~PiaTable();
      void   calculate();
      bool   isApplicable();
      static bool isApplicable( const WorkerDataGeneral& workerData,
         const PiaData& piaData, WorkerDataGeneral::ben_type ioasdi );
   private:
      PiaTable operator=( PiaTable newPiaTable );
};

#endif  // __PIATABLE_H
