// $Id: PiaTableLC.h 1.13 2003/11/17 17:03:06EST djolson Exp  $
//
// Declarations needed for class to manage Pia Table pia calculation functions,
//  with changes from present law.

#ifndef __PIATABLELC_H
#define __PIATABLELC_H

#include "PiaTable.h"
class LawChangeArray;

// {group:Calculation Classes}
// Description: Manages the functions required for calculation of a Pia Table
//   Social Security benefit, including changes from present law.
//
// Remarks: Manages the functions required for calculation of a Pia Table
//   Social Security benefit, including changes from present law.
class PiaTableLC : public PiaTable
{
   private: 
      // Entitlement date.
      const DateMoyr& entDate;
   protected:
      // Law change parameters.
      const LawChangeArray& lawChange;
   public:
      PiaTableLC( const WorkerDataGeneral& newWorkerData,
         const PiaData& newPiaData, const PiaParams& newPiaParams,
         int newMaxyear, const LawChangeArray& newLawChange,
         const DateMoyr& entitDate);
      virtual ~PiaTableLC();
      bool   isApplicable();
      static bool isApplicable( const WorkerDataGeneral& workerData,
         const PiaData& piaData, WorkerDataGeneral::ben_type ioasdi,
         const LawChangeArray& lawChange, const DateMoyr& entitDate);
   private:
      PiaTableLC operator=( PiaTableLC newPiaTableLC );
};

#endif  // __PIATABLELC_H
