// $Id: PiadataArray.h 1.9 2006/11/08 10:59:35EST 044579 Development  $
//
// Declarations needed for class to manage array of pia calculation data.

#pragma once

#include "piadata.h"

// {group:Calculation Classes}
// Description: Manages an array of PiaData's.
//
// Remarks: Manages an array of PiaData's.
class PiaDataArray
{
public:
   // Description: Constant for dimensioning.
   enum DimLimits {
      MAXFAMSIZE = 15  // Maximum family size.
   };
   // Description: Array of worker's pia data.
   PiaData * piaData[MAXFAMSIZE];
protected:
   // Description: Number of family members (not including worker).
   int famSize;
public:
   PiaDataArray();
   ~PiaDataArray();
   void deleteContents();
   // Description: Returns family size (not including worker).
   //
   // Returns: Family size (not including worker).
   int getFamSize() const { return famSize; }
   void setFamSize( int newFamSize );
   static void famSizeCheck( int newFamSize );
};
