// $Id: PresValFacs.h 1.1 2006/03/17 11:21:14EST 044579 Development  $
//
// Declarations needed for class to handle present value factors.

#pragma once

#include "dbleann.h"

// {group:Calculation Classes}
// Description: Manages an array of present value factors.
//
// Remarks: The factors are used to discount money from December 31 of a year
// back to January 1 of the base year (or, equivalently, back to December 31
// of baseYear - 1).
class PresValFacs : public DoubleAnnual
{
   public:
      PresValFacs( const DoubleAnnual &intRates );
      ~PresValFacs();
      void project( const DoubleAnnual& intRates );
};
