// $Id: ReindWid.h 1.17 2005/10/19 09:36:16EDT 044579 Exp  $
//
// Declarations needed for class to manage reindexed widow(er) pia calculation
// functions.

#pragma once

#include "WageIndGeneral.h"
#include "Secondary.h"

// {group:Calculation Classes}
// Description: Manages the functions required for calculation
//   of a reindexed widow(er) Social Security benefit.
//
// Remarks: Manages the functions required for calculation
//   of a reindexed widow(er) Social Security benefit.
class ReindWid : public WageIndGeneral
{
protected:
   // Description: Year of eligibility.
   int eligYear;
   // Description: Widow calculation data.
   const PiaData& widowPiaData;
public:
   // Description: Widow basic data.
   //
   // Remarks: This is not used by this class, but it is handy to have
   // when doing output.
   const WorkerDataGeneral& widowData;
   // Description: Secondary benefit data.
   Secondary& secondary;
public:
   ReindWid( const WorkerDataGeneral& newWorkerData,
      const PiaData& newPiaData, const PiaParams& newPiaParams,
      int newMaxyear, const PiaData& newWidowPiaData,
      const WorkerDataGeneral& newWidowData, Secondary& newSecondary );
   virtual ~ReindWid();
   void calculate();
   // Description: Returns eligibility year for reindexed widow(er)
   // calculation.
   //
   // Returns: Eligibility year for reindexed widow(er) calculation.
   int getEligYear() const { return(eligYear); }
   void initialize();
   bool isApplicable();
   void setEligYear();
   static bool isApplicable( const WorkerDataGeneral& workerData,
      const PiaData& piaData, int widowEligYear, const Secondary& secondary );
private:
   ReindWid operator=( ReindWid newReindWid );
};
