// $Id: ReindWidLC.h 1.6 2005/10/19 09:36:16EDT 044579 Exp  $
//
// Declarations needed for class to manage reindexed widow(er) pia calculation
// functions with law changes.

#pragma once

#include "ReindWid.h"
class LawChangeArray;

// {group:Calculation Classes}
// Description: Manages the functions required for calculation
//   of a reindexed widow(er) Social Security benefit with law changes.
//
// Remarks: Manages the functions required for calculation
//   of a reindexed widow(er) Social Security benefit with law changes.
class ReindWidLC : public ReindWid
{
protected:
   // Law change parameters.
   const LawChangeArray& lawChange;
public:
   ReindWidLC( const WorkerDataGeneral& newWorkerData,
      const PiaData& newPiaData, const PiaParams& newPiaParams,
      int newMaxyear, const PiaData& newWidowPiaData,
      const WorkerDataGeneral& newWidowData, Secondary& newSecondary,
      const LawChangeArray& newLawChange );
   virtual ~ReindWidLC();
   bool isApplicable();
   static bool isApplicable( const WorkerDataGeneral& workerData,
      const PiaData& piaData, int widowEligYear,
      const Secondary& secondary, const LawChangeArray& lawChange );
private:
   ReindWidLC operator=( ReindWidLC newReindWidLC );
};
