// $Id: RetireTest.h 1.8 2003/05/22 09:26:02EDT sfmckay Exp  $
//
// Declarations needed for class to manage retirement test calculations.

#ifndef __RETIRETEST_H
#define __RETIRETEST_H   1   // Prevent multiple includes

#include "rtgenrl.h"
#include "piaparms.h"

// {group:Calculation Classes}
// Description: Contains all of the retirement test exempt
//   amounts and functions to use them.
//
// Remarks: Contains all of the retirement test exempt
//   amounts and functions to use them.
class RetireTest
{
   public:
      // Monthly amounts under full retirement age.
      Rtea62m rtea62m;
      // Annual amounts under full retirement age.
      Rtea62 rtea62;
      // Monthly amounts over full retirement age.
      Rtea65m rtea65m;
      // Annual amounts over full retirement age.
      Rtea65 rtea65;
      // Annual amounts at second tier (effective 1961-1972).
      RteaHigh rteaHigh;
      // Pia calculation parameters.
      const PiaParams& piaParams;
   public:
      RetireTest( const PiaParams& newPiaParams, int newLastYear );
      RetireTest( const PiaParams& newPiaParams, int newBaseYear,
         int newLastYear );
      double earningsTestCal( const Age& age, double earnings, int year,
         double benefit ) const;
      void project( int firstYear );
   private:
      RetireTest operator=( RetireTest newRetireTest );
};

#endif  // __RETIRETEST_H
