// $Id: Sga.h 1.4 2002/06/07 12:22:34EDT sfmckay Exp  $
//
// Declarations needed for class to manage SGA amounts.

#ifndef __SGA_H
#define __SGA_H     // Prevent multiple includes

#include "SgaDerived.h"

// {group:Calculation Classes}
// Description: Contains all of the SGA amounts and functions to use them.
//
// Remarks: Contains all of the SGA amounts and functions to use them.
class Sga
{
   public:
      // SGA annual amounts for the blind.
      SgaBlindA sgaBlindA;
      // SGA monthly (December) amounts for the blind.
      SgaBlindM sgaBlindM;
      // SGA annual minimum amounts for the non-blind.
      SgaMinA sgaMinA;
      // SGA monthly (December) minimum amounts for the non-blind.
      SgaMinM sgaMinM;
      // SGA annual maximum amounts for the non-blind.
      SgaMaxA sgaMaxA;
      // SGA monthly (December) maximum amounts for the non-blind.
      SgaMaxM sgaMaxM;
   public:
      Sga( int newLastYear );
      void project( const DoubleAnnual& averageWages );
};

#endif  // ifndef __SGA_H
