// $Id: SpecMinLC.h 1.11 2003/05/22 09:26:03EDT sfmckay Exp  $
//
// Declarations needed for class to manage special minimum pia calculation
// functions, including changes from present law.

#ifndef __SPECMINLC_H
#define __SPECMINLC_H

#include "SpecMin.h"
class LawChangeArray;

// {group:Calculation Classes}
// Description: Manages the functions required for calculation of a special
//   minimum Social Security benefit, including changes from present law.
//
// Remarks: Manages the functions required for calculation of a special
//   minimum Social Security benefit, including changes from present law.
class SpecMinLC : public SpecMin
{
   protected:
      // Law change parameters.
      const LawChangeArray& lawChange;
   public:
      SpecMinLC( const WorkerDataGeneral& newWorkerData,
         const PiaData& newPiaData, const PiaParams& newPiaParams,
         int newMaxyear, const LawChangeArray& newLawChange );
      ~SpecMinLC();
      int specMinYearsExcessCal() const;
      bool isApplicable();
      static bool isApplicable( const WorkerDataGeneral& workerData,
         const LawChangeArray& );
   private:
      SpecMinLC operator=( SpecMinLC newSpecMinLC );
};

#endif  // __SPECMINLC_H
