// $Id: TaxBenefitsLC.h 1.8 2003/05/22 09:26:03EDT sfmckay Exp  $
//
// Declarations needed for class to manage tax on benefits functions with law
// changes.

#ifndef __TAXBENEFITSLC_H
#define __TAXBENEFITSLC_H

#include "TaxBenefits.h"
class LawChangeArray;

// {group:Calculation Classes}
// Description: Contains the functions required to calculate
//   the tax on a Social Security benefit with law changes.
//
// Remarks: Contains the functions required to calculate
//   the tax on a Social Security benefit with law changes.
class TaxBenefitsLC : public TaxBenefits
{
   protected:
      // Law-change parameters.
      const LawChangeArray& lawChange;
      // Declining thresholds.
      double thresholds[2][11];
   public:
      TaxBenefitsLC( const LawChangeArray& newLawChange );
      ~TaxBenefitsLC();
      double deductionsCal( unsigned startAge, double aggContribs,
         double taxRecovered, int year ) const;
      virtual double getProportion( int year ) const;
      double getThreshold( bool married, int year ) const;
      static int paymentsCal( unsigned age );
      double taxOasdhi( int year, double magi, double benefits,
         bool married ) const;
      void thresholdsCal();
   private:
      TaxBenefitsLC operator=( TaxBenefitsLC newTaxBenefitsLC );
};

#endif  // __TAXBENEFITSLC_H
