// $Id: TaxRatesLC.h 1.6 2006/11/08 11:00:08EST 044579 Development  $
//
// Declarations for class to manage tax rateswith law changes.

#pragma once

#include "TaxRates.h"
class LawChangeArray;

// {group:Calculation Classes}
// Description: Manages the Social Security payroll and
//   self-employed tax rates, with changes from present law.
//
// Remarks: Manages the Social Security payroll and
//   self-employed tax rates, with changes from present law.
class TaxRatesLC : public TaxRates
{
protected:
   // Description: Law change data.
   const LawChangeArray& lawChange;
public:
   TaxRatesLC( int lastYear, const LawChangeArray& newLawChange );
   ~TaxRatesLC();
   void initialize();
private:
   TaxRatesLC operator=( TaxRatesLC newTaxRatesLC );
};
