// $Id: TextWriterTraceListener.h 1.4 2006/01/05 10:46:22EST 044579 Exp  $
//
// Declarations for class that listens for Trace output and writes to an
// ostream.

#pragma once

#include <iosfwd>
#if !defined(SHORTFILENAMES)
#include "TraceListener.h"
#else
#include "trlish"
#endif

// {group:Miscellaneous Classes}
// Description: A output-stream-based class that listens for Trace output.
//
// Remarks: This can be used with cout, cerr, or a user-created output stream.
class TextWriterTraceListener : public TraceListener
{
   private:
      // Description: Logfile to use.
      std::ostream *strm;
   public:
      TextWriterTraceListener( std::ostream *newStream );
      void close();
      void flush();
      void write( const std::string& str );
      void write( const char *str );
      void writeLine( const std::string& str );
      void writeLine( const char *str );
      ~TextWriterTraceListener();
};
