// $Id: TransGuar.h 1.12 2003/05/22 09:26:04EDT sfmckay Exp  $
//
// Declarations needed for class to manage transitional guarantee pia
// calculation functions.

#ifndef __TRANSGUAR_H
#define __TRANSGUAR_H

#include "OldPia.h"

// {group:Calculation Classes}
// Description: Manages the functions required for calculation
//   of a transitional guarantee Social Security benefit.
//
// Remarks: Manages the functions required for calculation
//   of a transitional guarantee Social Security benefit.
class TransGuar : public OldPia
{
   public:
      // Bend points for MFB formula.
      BendMfb bendMfb;
      // Wage-indexed MFB formula percentages.
      PercMfb percMfb;
      // Portion of AIME PIA in each interval of MFB formula.
      double portionPiaElig[4];
   public:
      TransGuar( const WorkerDataGeneral& newWorkerData,
         const PiaData& newPiaData, const PiaParams& newPiaParams,
         int newMaxyear );
      virtual ~TransGuar();
      void   calculate();
      void   initialize();
      bool   isApplicable();
      static bool isApplicable( const WorkerDataGeneral& workerData,
         const PiaData& piaData, WorkerDataGeneral::ben_type ioasdi );
   private:
      TransGuar operator=( TransGuar newTransGuar );
};

#endif  // __TRANSGUAR_H
