// $Id: TransGuarLC.h 1.11 2003/05/22 09:26:04EDT sfmckay Exp  $
//
// Declarations needed for class to manage transitional guarantee pia
// calculation functions, with changes from present law.

#ifndef __TRANSGUARLC_H
#define __TRANSGUARLC_H

#include "TransGuar.h"
class LawChangeArray;

// {group:Calculation Classes}
// Description: Manages the functions required for calculation of a
//   transitional guarantee Social Security benefit, with changes from
//   present law.
//
// Remarks: Manages the functions required for calculation of a transitional
//   guarantee Social Security benefit, with changes from present law.
class TransGuarLC : public TransGuar
{
   protected:
      // Law change parameters.
      const LawChangeArray& lawChange;
   public:
      TransGuarLC( const WorkerDataGeneral& newWorkerData,
         const PiaData& newPiaData, const PiaParams& newPiaParams,
         int newMaxyear, const LawChangeArray& newLawChange );
      ~TransGuarLC();
      bool   isApplicable();
      static bool isApplicable( const WorkerDataGeneral& workerData,
         const PiaData& piaData, WorkerDataGeneral::ben_type ioasdi,
         const LawChangeArray& lawChange );
   private:
      TransGuarLC operator=( TransGuarLC newTransGuarLC );
};

#endif  // __TRANSGUARLC_H
