// $Id: WageBase.h 1.4 2006/11/08 11:00:08EST 044579 Development  $
//
// Declarations needed for class to manage wage base projections.

#pragma once

#include "wbgenrl.h"

// {group:Calculation Classes}
// Description: Manages the OASDI wage base projections.
//
// Remarks: Manages the OASDI wage base projections.
class WageBase : public WageBaseGeneral
{
   public:
      WageBase( int newLastYear );
      WageBase( int newBaseYear, int newLastYear );
};

// {group:Calculation Classes}
// Description: Manages the HI wage base projections.
//
// Remarks: Manages the HI wage base projections.
class WageBaseHI : public WageBaseGeneral
{
   public:
      WageBaseHI( int newLastYear );
      WageBaseHI( int newBaseYear, int newLastYear );
};

// {group:Calculation Classes}
// Description: Manages the old-law OASDI wage base projections.
//
// Remarks: Manages the old-law OASDI wage base projections.
class WageBaseOldLaw : public WageBaseGeneral
{
   public:
      WageBaseOldLaw( int newLastYear );
      WageBaseOldLaw( int newBaseYear, int newLastYear );
};
