// $Id: WageInd.h 1.11 2003/05/22 09:26:04EDT sfmckay Exp  $
//
// Declarations needed for class to manage wage-indexed pia calculation
// functions.

#ifndef __WAGEIND_H
#define __WAGEIND_H

#include "WageIndGeneral.h"

// {group:Calculation Classes}
// Description: Manages the functions required for calculation of a
//   wage indexed Social Security benefit.
//
// Remarks: Manages the functions required for calculation of a
//   wage indexed Social Security benefit.
class WageInd : public WageIndGeneral
{
   public:
      WageInd( const WorkerDataGeneral& newWorkerData,
         const PiaData& newPiaData, const PiaParams& newPiaParams,
         int newMaxyear );
      virtual ~WageInd();
      void   calculate();
      bool   isApplicable();
      static bool isApplicable( const WorkerDataGeneral& workerData,
         const PiaData& piaData );
   private:
      WageInd operator=( WageInd newWageInd );
};

#endif  // __WAGEIND_H
