// $Id: WageIndLC.h 1.12 2003/11/18 10:09:55EST djolson Exp  $
//
// Declarations needed for class to manage wage-indexed pia calculation
// functions, with law change parameters.

#ifndef __WAGEINDLC_H
#define __WAGEINDLC_H

#include "WageInd.h"
class LawChangeArray;

// {group:Calculation Classes}
// Description: Manages the functions required for calculation
//   of a wage indexed Social Security benefit, with changes from present law.
//
// Remarks: Manages the functions required for calculation
//   of a wage indexed Social Security benefit, with changes from present law.
class WageIndLC : public WageInd
{
   private:
      // Entitlement date.
      const DateMoyr& entDate;
   protected:
      // Law change parameters.
      const LawChangeArray& lawChange;
   public:
      WageIndLC( const WorkerDataGeneral& newWorkerData,
         const PiaData& newPiaData, const PiaParams& newPiaParams,
         int newMaxyear, const LawChangeArray& lawChange,
         const DateMoyr& entitDate);
      ~WageIndLC();
      bool   isApplicable();
      static bool isApplicable( const WorkerDataGeneral& workerData,
         const PiaData& piaData, const LawChangeArray& lawChange,
         const DateMoyr& entitDate);
   private:
      WageIndLC operator=( WageIndLC newWageIndLC );
};

#endif  // __WAGEINDLC_H
