// $Id: WorkerDataArray.h 1.7 2006/11/08 11:00:08EST 044579 Development  $
//
// Declarations needed for class to manage array of worker data.

#pragma once

#include "wrkrdata.h"

// {group:Calculation Classes}
// Description: Manages an array of WorkerData's.
//
// Remarks: Manages an array of WorkerData's.
class WorkerDataArray
{
public:
   // Description: Constant for dimensioning.
   enum DimLimits {
      MAXFAMSIZE = 15  // Maximum family size.
   };
   // Description: Array of worker's pia data.
   WorkerData * workerData[MAXFAMSIZE];
protected:
   // Description: Number of family members (not including worker).
   int famSize;
public:
   WorkerDataArray();
   ~WorkerDataArray();
   void deleteContents();
   // Description: Returns family size (not including worker).
   //
   // Returns: Family size (not including worker).
   int getFamSize() const { return famSize; }
   void setFamSize( int newFamSize );
   static void famSizeCheck( int newFamSize );
};
