// $Id: baseyear.h 1.12 2006/11/08 10:57:57EST 044579 Development  $
//
// Declarations for class to manage baseyear file.

#pragma once

// {group:Calculation Classes}
// Description: Parent of classes that manage the computation year for a pia
//   program.
//
// Remarks: One of its subclasses should be instantiated:  BaseYearFile if
//   it is to be read from disk, BaseYearNonFile otherwise.
class BaseYear
{
protected:
   // Description: Computation year.
   int theYear;
public:
   BaseYear();
   virtual ~BaseYear();
   // Description: Returns computation year.
   //
   // Returns: Computation year.
   int getYear() const { return(theYear); }
   // Description: Read base year.
   virtual void read() = 0;
   // Description: Sets computation year.
   //
   // Arguments:
   //   newYear: New computation year to use.
   void setYear( int newYear ) { theYear = newYear; }
   // Description: Save base year.
   virtual void write() = 0;
   static void yearCheck( int newYear );
};
