// $Id: date.h 1.16 2007/03/08 14:10:22EST 044579 Development  $
//
// Declarations for static class to manage date and time.

#pragma once

#include <string>
#include "boost/date_time/gregorian/greg_date.hpp"

// {group:Miscellaneous Classes}
// Description: Static variables and functions for classes that hold dates.
//
// Remarks: Static variables and functions for classes that hold dates as
//   month, day, and year (boost::gregorian::date), or month and year
//   (DateMoyr).
class Date
{
public:
   // Description: Lowest year that is acceptable (1800).
   static unsigned lowyear;
   // Description: Highest year that is acceptable (2100).
   static unsigned highyear;
private:
   Date();
   Date( const Date& );
   ~Date();
   Date& operator=( const Date& ) { return *this; }
public:
   static boost::gregorian::date addYears( boost::gregorian::date theDate,
      int years );
   static void monthCheck( unsigned month );
   static void yearCheck( unsigned year );
};
