// $Id: genfile.h 1.11 2005/12/14 17:37:40EST 044579 Exp  $
//
// Declarations for general file class.

#pragma once

#include <iosfwd>
#include <string>

// {group:Miscellaneous Classes}
// Description: Manages a generic file.
//
// Remarks: This class is meant to be a parent of other classes of files.
class Genfile
{
protected:
   // Description: Pathname of this file.
   std::string pathname;
protected:
   // Description: Warning or status message.
   std::string mesg;
public:
   Genfile();
   explicit Genfile( const std::string& newDirectory );
   virtual ~Genfile();
   // Description: Returns current status or warning message.
   //
   // Returns: Current status or warning message.
   const std::string& getmesg() const { return(mesg); }
   void openapp( std::ofstream& out );
   void openin( std::ifstream& in );
   void openout( std::ofstream& out );
   // Description: Sets current status or warning message.
   //
   // Arguments:
   //   newMesg: New message.
   void setmesg ( const std::string& newMesg ) { mesg = newMesg; }
};
