// $Id: oactcnst.h 1.12 2006/03/15 10:24:03EST 277133 Development  $
//
// The constants in this file are used in the various Oact C++ programs and
// utilities.

#ifndef __OACTCNST_H
#define __OACTCNST_H   // Prevent multiple #includes

// Description: Number of years of data in trust fund projections, January 1
//   basis.
//
// Remarks: When using 47, data runs from January 1, 1975 through January 1,
//   2021.
const int MAXYRSR = 47;

// Description: Number of years of data in trust fund projections, during-year
//   basis.
//
// Remarks: When using 46, data runs from 1975 through 2020.
const int MAXYRSR1 = 46;

// Description: Base year for trust fund projection arrays on January 1 basis.
const int BASEYR = 1974;

// Description: Last year of short-range period.
const int LASTYRSR = BASEYR + MAXYRSR1;

// Description: Base year for trust fund projection arrays on during-year
//   basis.
const int BASEYR1 = 1975;

// Description: Base year for ORS trust fund projection data.
const int ORSYR = 1981;

// Description: Year before first year of Social Security.
const int YEAR36 = 1936;

// Description: Base year for many data arrays.
const int YEAR37 = 1937;

// Description: Year before first year of major revisions to Social Security.
const int YEAR50 = 1950;

// Description: First year of major revisions to Social Security.
const int YEAR51 = 1951;

// Description: First year of many OACT projection arrays.
const int YEAR69 = 1969;

// Description: First year of many OACT projection arrays.
const int YEAR70 = 1970;

// Description: First year of many OACT projection arrays.
const int YEAR74 = 1974;

// Description: First year of many OACT projection arrays.
const int YEAR75 = 1975;

// Description: First year of bend points.
const int YEAR79 = 1979;

// Description: Last possible year of projection.
const int YEAR2075 = 2075;

// Description: Last possible year of projection.
const int YEAR2080 = 2080;

// Description: Last possible year of projection.
const int YEAR2085 = 2085;

// Description: Last possible year of projection.
const int YEAR2100 = 2100;

// Description: Maximum annual earnings allowed.
const double MAXEARN = 9999999.99;

// Description: Maximum number of years of earnings for one individual.
const int MAXYRS = 80;

#endif   // __OACTCNST_H
