// $Id: piareadAny.h 1.1 2005/07/21 16:10:53EDT 044579 Exp 277133(2006/03/14 09:44:24EST) $
//
// Declarations needed for class to read worker data for Anypia.

#ifndef __PIAREADANY_H
#define __PIAREADANY_H

#include "piaread.h"
class EarnProject;
class Pebs;

// {group:Calculation Classes}
// Description: Reads the data required to calculate a Social Security
//   benefit for the Anypia program.
//
// Remarks: This version adds data required for Social Security Statements and
// factors to project earnings.
class PiaReadAny : public PiaRead
{
   protected:
      // Projected earnings information.
      EarnProject& earnProject;
      // Social Security Statement information.
      Pebs& pebs;
   public:
      PiaReadAny( WorkerData& newWorkerData, WorkerDataArray& newWidowDataArray,
         PiaDataArray& newWidowData, UserAssumptions& newUserAssumptions,
         SecondaryArray& newSecondary, EarnProject& newEarnProject,
         Pebs& newPebs );
      void   parseBack( const std::string& line );
      void   parseEarnOasdi( int lineNumber, const std::string& line );
      void   parseEarnType( const std::string& line );
      void   parseFwrd( const std::string& line );
      void   parsePebes( const std::string& line );
      void   setEarnProjectYears( int year1, int year2 );
      void   setPebsData();
   private:
      PiaReadAny operator=( const PiaReadAny& newPiaReadAny );
};

#endif  // PIAREADANY_H
