// $Id: piawriteAny.h 1.1 2005/07/21 16:10:53EDT 044579 Exp 277133(2006/03/14 09:44:24EST) $
//
// Declarations needed for class to write out worker data for Anypia program.

#ifndef __PIAWRITEANY_H
#define __PIAWRITEANY_H

#include "piawrite.h"
class EarnProject;
class Pebs;

// {group:Calculation Classes}
// Description: Writes out the data required to calculate a Social Security
// benefit for the Anypia program.
//
// Remarks: This version adds data required for Social Security Statements and
// factors to project earnings.
class PiaWriteAny : public PiaWrite
{
   protected:
      // Projected earnings information.
      const EarnProject& earnProject;
      // Social Security Statement information.
      const Pebs& pebs;
   public:
      PiaWriteAny( const WorkerData& newWorkerData,
         const WorkerDataArray& newWidowDataArray,
         const PiaDataArray& newWidowArray,
         const UserAssumptions& newUserAssumptions,
         const SecondaryArray& newSecondaryArray,
         const EarnProject& newEarnProject, const Pebs& newPebs );
      void   writeAssump( std::ostream& out ) const;
      void   writeBack ( std::ostream& out ) const;
      void   writeEarnOasdi( std::ostream& out ) const;
      void   writeEarnType( std::ostream& out ) const;
      void   writeFwrd ( std::ostream& out ) const;
      void   writePebes( std::ostream& out ) const;
   private:
      PiaWriteAny operator=( const PiaWriteAny& newPiaWriteAny );
};

#endif  // PIAWRITEANY_H
