// $Id: pibtable.h 1.5 2005/08/29 13:26:59EDT 044579 Exp  $
//
// Declarations for class to manage pib-pia conversion table.

#ifndef __PIBTABLE_H
#define __PIBTABLE_H

// {group:Calculation Classes}
// Description: Manages the 1950 pib-mfb conversion figures.
//
// Remarks: Manages the 1950 pib-mfb conversion figures.
class Pib50Mfb
{
protected:
   // Description: The 1950 mfb's.
   static const double mfb50[];
public:
   static double getAt( int index );
};

// {group:Calculation Classes}
// Description: Manages the 1950 pib-pia conversion figures.
//
// Remarks: Manages the 1950 pib-pia conversion figures.
class Pib50Pib
{
protected:
   // Description: The 1950 pib's.
   static const double pib50[];
public:
   static double getAt( int index );
};

// {group:Calculation Classes}
// Description: Manages the 1952 pib-mfb conversion figures.
//
// Remarks: Manages the 1952 pib-mfb conversion figures.
class Pib52Mfb
{
protected:
   // Description: The 1952 mfb's.
   static const double mfb52[];
public:
   static double getAt( int index );
};

// {group:Calculation Classes}
// Description: Manages the 1954 pib-mfb conversion figures.
//
// Remarks: Manages the 1954 pib-mfb conversion figures.
class Pib54Mfb
{
protected:
   // Description: The 1954 mfb's.
   static const double mfb54[];
public:
   static double getAt( int index );
};

// {group:Calculation Classes}
// Description: Manages the 1954 pib-pia conversion figures.
//
// Remarks: Manages the 1954 pib-pia conversion figures.
class Pib54Pia
{
protected:
   // Description: The 1954 pia's.
   static const double pia54[];
public:
   static double getAt( int index );
};

// {group:Calculation Classes}
// Description: Manages the 1958 pib-ame conversion figures.
//
// Remarks: Manages the 1958 pib-ame conversion figures.
class Pib58Ame
{
protected:
   // Description: The 1958 ame's.
   static const double ame58[];
public:
   static double getAt( int index );
};

// {group:Calculation Classes}
// Description: Manages the 1958 pib-pia conversion figures.
//
// Remarks: Manages the 1958 pib-pia conversion figures.
class Pib58Pib
{
protected:
   // Description: The 1958 pib's.
   static const double pib58[];
public:
   static double getAt( int index );
};

#endif  // __PIBTABLE_H
