// $Id: qc.h 1.14 2006/11/08 10:59:36EST 044579 Development  $
//
// Declarations needed for class to manage annual quarters of coverage.

#pragma once

// {group:Calculation Classes}
// Description: Handles calculations with quarters of coverage for one year.
//
// Remarks: The number of quarters of coverage for one year must not exceed 4.
// This class has two static functions to handle qc calculations.
class Qc
{
public:
   // Description: The maximum number of qcs in one year (4).
   static const unsigned int MAXQCSINYEAR = 4u;
   static void check( unsigned newNumber );
   static unsigned qcCal( double earnings, double qcAmount );
private:
   Qc();
   Qc( const Qc& qc );
   ~Qc();
   Qc& operator=( const Qc& qc );
};
