// $Id: qcamt.h 1.8 2006/11/08 10:59:36EST 044579 Development  $
//
// Declarations needed for class to manage array of amounts required for
// quarter of coverage.

#pragma once

#include "dbleann.h"

// {group:Calculation Classes}
// Description: Manages an array of quarter of coverage amounts.
//
// Remarks: An instance of this class is created in PiaParams.
class Qcamt : public DoubleAnnual
{
public:
   // Description: The year when automatic increases started for the quarter
   // of coverage amount.
   static const int AUTO_YEAR = 1978;
   // Description: The quarter of coverage amount in 1978.
   static const double qcamt1978;
   // Description: The quarter of coverage amount prior to 1978.
   static const double qcamt1977;
public:
   Qcamt( int newLastYear );
   Qcamt( int newBaseYear, int newLastYear );
   ~Qcamt();
   void project( const DoubleAnnual& averageWages, int firstYeart );
};
