// $Id: wbgenrl.h 1.16 2006/11/08 11:00:08EST 044579 Development  $
//
// Declarations needed for class to manage wage base projections.

#pragma once

#include "dbleann.h"

// {group:Calculation Classes}
// Description: Ancestor of the classes that manage the wage base projections.
//
// Remarks: Ancestor of the classes that manage the wage base projections.
class WageBaseGeneral : public DoubleAnnual
{
   protected:
      // Description: Type of wage base.
      //
      // Remarks:
      //
      // 0 - present law OASDI.
      // 1 - prior law (ignore 1990-92 ad hoc increases).
      // 2 - old law (ignore 1979-81 ad hoc increases).
      // 3 - HI.
      int wageBaseInd;
     // Description: Increase in average wage due to deferred comp in 1990.
      static const double defcomp;
   public:
      WageBaseGeneral( int newWageBaseInd, int newLastYear );
      WageBaseGeneral( int newWageBaseInd, int newBaseYear, int newLastYear );
      virtual ~WageBaseGeneral();
      static void check( double baset );
      void earnLimit( DoubleAnnual& earnings1, const DoubleAnnual& earnings2 )
         const;
      virtual void project( const DoubleAnnual& averageWages,
         const DoubleAnnual& cpi, int firstYeart, int lastYeart );
      void projectLC( const DoubleAnnual& averageWages, const DoubleAnnual& cpi,
         int lastYearLC );
};
