// $Id: wbgenrlLC.h 1.11 2006/11/08 14:19:04EST 044579 Development  $
//
// Declarations needed for class to manage wage base projections with law
//   changes.

#pragma once

#include "WageBase.h"
class LawChangeArray;

// {group:Calculation Classes}
// Description: Manages the OASDI wage base projection with law changes.
//
// Remarks: Manages the OASDI wage base projection with law changes.
class WageBaseLC : public WageBase
{
protected:
   // Description: Law-change parameters.
   const LawChangeArray& lawChange;
public:
   WageBaseLC( const LawChangeArray& newLawChange, int newLastYear );
   WageBaseLC( const LawChangeArray& newLawChange, int newBaseYear,
      int newLastYear );
   void project( const DoubleAnnual& averageWages, const DoubleAnnual& cpi,
      int firstYeart, int lastYeart );
private:
   WageBaseLC& operator=( const WageBaseLC& );
};

// {group:Calculation Classes}
// Description: Manages the old-law OASDI wage base projection with law
//   changes.
//
// Remarks: Manages the old-law OASDI wage base projection with law
//   changes.
class WageBaseOldLawLC : public WageBaseOldLaw
{
protected:
   // Description: Law-change parameters.
   const LawChangeArray& lawChange;
public:
   WageBaseOldLawLC( const LawChangeArray& newLawChange, int newLastYear );
   WageBaseOldLawLC( const LawChangeArray& newLawChange, int newBaseYear,
      int newLastYear );
   void project( const DoubleAnnual& averageWages, const DoubleAnnual& cpi,
      int firstYeart, int lastYeart );
private:
   WageBaseOldLawLC& operator=( const WageBaseOldLawLC& );
};
