// $Id: BitAnnual.cpp 1.12 2003/05/22 09:26:27EDT sfmckay Exp  $
//
// Functions to handle BitAnnual arrays.

#include "oactcnst.h"
#include "BitAnnual.h"

using namespace std;

// GENERAL NOTE:
// When adding functions to this class, or changing the implementation
// of existing functions, be careful not to use square brackets ( [] )
// to access 'data' unless you're really sure of what you're doing.
// This is because there are different implementations of this class
// depending on whether you're using NT or Linux. Instead, use the
// setBit() and getBit() functions.

// Description: Deletes allocated memory.
BitAnnual::~BitAnnual()
{ }

// Description: Sets data from another BitAnnual for specified years.
//
// Arguments:
//   bitAnnual: Array of new values of data.
//   firstYeart: First year of data to set.
//   lastYeart: Last year of data to set.
void BitAnnual::assign( const BitAnnual& bitAnnual, int firstYeart,
int lastYeart )
{
   int year1 = max(baseYear, bitAnnual.baseYear);
   year1 = max(year1, firstYeart);
   int year2 = min(lastYear, bitAnnual.lastYear);
   year2 = min(year2, lastYeart);
   for (int year = year1; year <= year2; year++)
      setBit(year, bitAnnual.getBit(year));
}
