// $Id: PiaException.cpp 1.11 2007/03/09 17:08:45EST 044579 Development  $
//
// Functions to handle exceptions in the piadata library.

#include <sstream>
#if !defined(SHORTFILENAMES)
#include "PiaException.h"
#else
#include "piaexcph"
#endif

using namespace std;

// Description: Initializes number and message.
//
// Remarks: The version with an integer argument sets the message to
//   "PiaException: number". The version with a string argument sets the
//   number to 0.
//
// Arguments:
//   newNumber: Number of this exception.
PiaException::PiaException( int newNumber ) throw() :
exception(), exceptionNum(newNumber), theMessage("PiaException: ")
{
   ostringstream strm;
   strm << exceptionNum;
   theMessage += strm.str();
}

// Arguments:
//   newMessage: Message of this exception.
PiaException::PiaException( const std::string& newMessage ) throw() :
exception(), exceptionNum(0), theMessage(newMessage)
{ }

// Arguments:
//   piaException: The PiaException to copy from.
PiaException::PiaException( const PiaException& piaException ) throw() :
exception(), exceptionNum(piaException.exceptionNum),
theMessage(piaException.theMessage)
{ }
