// $Id: Sex.cpp 1.2 2006/06/07 07:52:54EDT 044579 Development  $
//
// Functions for sex indicator class.

#include "Sex.h"
#include "PiaException.h"
#include "Resource.h"

// Description: Checks sex.
//
// Throws: PiaException of type PIA_IDS_SEX if sex is not MALE or FEMALE.
//
// Arguments:
//   newSex: The sex value to check.
void Sex::check( int newSex )
{
   if (newSex != static_cast<int>(MALE) && newSex != static_cast<int>(FEMALE))
      throw PiaException(PIA_IDS_SEX);
}

// Arguments:
//   format: Format to use. If none used, return lower-case string. If "c",
//     return capitalized string.
std::string Sex::toString( const std::string& format ) const
{
   if (format.length() < 1 || format[0] != 'c')
      return toString();
   return(theCode == MALE ? std::string("Male") : std::string("Female") );
}
