// $Id: TextWriterTraceListener.cpp 1.4 2006/04/28 13:58:44EDT 277133 Development  $
//
// Functions for class that listens for Trace output and writes to an
// ostream.

#include <ostream>
#if !defined(SHORTFILENAMES)
#include "TextWriterTraceListener.h"
#else
#include "twtrlish"
#endif

using namespace std;

// Description: Creates a TextWriterTraceListener.
//
// Remarks: Associates the argument with the internal output stream.
//
// Arguments:
//   newStream: The output stream to use as the logfile.
TextWriterTraceListener::TextWriterTraceListener( std::ostream *newStream ) :
TraceListener(), strm(newStream)
{ }

// Description: Destroys a TextWriterTraceListener.
TextWriterTraceListener::~TextWriterTraceListener()
{ }

// Description: Closes the TraceListener.
void TextWriterTraceListener::close()
{ }

// Description: Flushes the output.
void TextWriterTraceListener::flush()
{
   strm->flush();
}

// Description: Write a string of output, without a newline.
//
// Arguments:
//   str: The string to write.
void TextWriterTraceListener::write( const std::string& str )
{
   *strm << str;
}

void TextWriterTraceListener::write( const char *str )
{
   *strm << str;
}

// Description: Write a string of output, with a newline.
//
// Arguments:
//   str: The string to write.
void TextWriterTraceListener::writeLine( const std::string& str )
{
   *strm << str << endl;
}

void TextWriterTraceListener::writeLine( const char *str )
{
   *strm << str << endl;
}
