// $Id: Trace.cpp 1.2 2003/01/06 10:00:14EST sfmckay Exp  $
//
// Functions for class to trace execution of code.

#if !defined(SHORTFILENAMES)
#include "Trace.h"
#else
#include "traceh"
#endif

std::vector< TraceListener* > Trace::listeners;

// Description: Close all the TraceListener objects.
void Trace::close()
{
   for (size_t i = 0; i < listeners.size(); i++)
      listeners[i]->close();
}

// Description: Flush all the TraceListener objects.
void Trace::flush()
{
   for (size_t i = 0; i < listeners.size(); i++)
      listeners[i]->flush();
}

// Description: Write a string of output, without a newline, to all the
// TraceListener objects.
//
// Arguments:
//   str: The string to write.
void Trace::write( const std::string& str )
{
   for (size_t i = 0; i < listeners.size(); i++)
      listeners[i]->write(str);
}

void Trace::write( const char *str )
{
   for (size_t i = 0; i < listeners.size(); i++)
      listeners[i]->write(str);
}

// Description: Write a string of output, with a newline, to all the
// TraceListener objects.
//
// Arguments:
//   str: The string to write.
void Trace::writeLine( const std::string& str )
{
   for (size_t i = 0; i < listeners.size(); i++)
      listeners[i]->writeLine(str);
}

void Trace::writeLine( const char *str )
{
   for (size_t i = 0; i < listeners.size(); i++)
      listeners[i]->writeLine(str);
}
