// $Id: pathname.cpp 1.9 2003/05/22 09:26:28EDT sfmckay Exp  $
//
// Functions for Pathname class.

#include "pathname.h"
#include "PathnameSeparator.h"

using namespace std;

// Description: Constructor.
//
// Remarks: The parent directory is set to "" in the default constructor.
Pathname::Pathname() : pathname(), corename(), extension()
{
   pastename();
}

// Arguments:
//   newDirectory: New parent directory to use.
Pathname::Pathname( const std::string& newDirectory ) : pathname(newDirectory),
corename(), extension()
{
   pastename();
}

// Description: Sets full filename from the three parts.
void Pathname::pastename()
{
   fullname = pathname;
   if (pathname.length() > 0) {
      fullname += separator;
   }
   fullname += corename;
   fullname += extension;
}
