// $Id: BaseChangeType.cpp 1.2 2005/08/26 16:27:20EDT 044579 Exp  $
//
// Functions for the wage base change types allowed in the piadata library.

#include "BaseChangeType.h"
#include "PiaException.h"
#include "Resource.h"

using namespace std;

// Description: Wage base titles.
const std::string BaseChangeType::mfwgbase[NUM_CHANGE_TYPES] = {
   string("none"),
   string("automatic provisions followed"),
   string("ad hoc wage bases (entered by user)")
};

// Description: Checks wage base indicator.
//
// Throws: PiaException of type PIA_IDS_BASECH if wage base indicator is not
// AUTOMATIC or ADHOC.
//
// Arguments:
//   ibascht: Value to check.
void BaseChangeType::check( int ibascht )
{
   if (ibascht != AUTOMATIC && ibascht != ADHOC)
      throw PiaException(PIA_IDS_BASECH);
}
