// $Id: LawChangeNRACHANGE.cpp 1.5 2003/05/22 09:27:14EDT sfmckay Exp  $
//
// Functions needed for class to manage parameters for a proposal to
// change the full retirement age.

#include <vector>
#include "LawChangeNRACHANGE.h"
#include "PiaException.h"
#include "Resource.h"
#include "comma.h"
#include "oactcnst.h"

using namespace std;

// Description: Constructor.
LawChangeNRACHANGE::LawChangeNRACHANGE() :
LawChange("change full retirement age")
{ }

// Description: Prepares output strings for this change from present law.
//
// Arguments:
//   outputString: Table of output strings.
void LawChangeNRACHANGE::prepareStrings(
std::vector<std::string> &outputString )
{
   if (getInd() > 0) {
      outputString.push_back(getTitle());
      if (getPhaseType() == 0)
         outputString.push_back("Effective for new eligibles");
      else
         outputString.push_back("Effective immediately for all persons");
      switch (getInd()) {
      case 1:
         outputString.push_back("Hold full retirement age at 65");
         break;
      case 2:
         outputString.push_back("Eliminate the hiatus from 66 to 67");
         break;
      default:
         outputString.push_back("Eliminate the hiatus from 66 to 67, "
            "increase thereafter by life expectancy");
      }
   }
}
