// $Id: LawChangeOut.cpp 1.35 2003/05/22 09:27:15EDT sfmckay Exp  $
//
// Functions to print law-change variables.

#include "LawChangeOut.h"
#include "comma.h"
#include "Resource.h"
#include "LawChangeArray.h"
#include "LawChangeBPFRACWAGE.h"

using namespace std;

// Description: Initializes data for output.
//
// Arguments:
//   newLawChange: Law change data.
LawChangeOut::LawChangeOut( const LawChangeArray &newLawChange ) :
PageOut(), lawChange(newLawChange)
{ }

// Description: Releases memory.
LawChangeOut::~LawChangeOut()
{ }

// Description: Prepares output strings for changes from present law.
void LawChangeOut::prepareStrings()
{
   string s;  // temporary string

   outputString.clear();
   outputString.push_back("Changes from present law:");
   if (lawChange.getIndTotal() == 0) {
      outputString.push_back("None");
      return;
   }
   for (int i1 = 0; i1 < LawChange::MAXLCH; i1++) {
      lawChange.lawChange[i1]->prepareStrings(outputString);
   }
}
