// $Id: LawChangeTAXBENCHG.cpp 1.5 2003/05/22 09:27:16EDT sfmckay Exp  $
//
// Functions needed for class to manage parameters for a proposal to
// change the taxation of benefits.

#include <vector>
#include "LawChangeTAXBENCHG.h"
#include "PiaException.h"
#include "Resource.h"
#include "comma.h"
#include "oactcnst.h"

using namespace std;

// Description: Constructor.
LawChangeTAXBENCHG::LawChangeTAXBENCHG() :
LawChange("change in tax on benefits provision")
{ }

// Description: Prepares output strings for this change from present law.
//
// Arguments:
//   outputString: Table of output strings.
void LawChangeTAXBENCHG::prepareStrings(
std::vector<std::string> &outputString )
{
   if (getInd() > 0) {
      outputString.push_back(getTitle());
      if (getPhaseType() == 0)
         outputString.push_back("Effective for new eligibles");
      else
         outputString.push_back("Effective immediately for all persons");
      if (getInd() == 1 || getInd() == 3) {
         string s("Thresholds phased down to zero over 10 years beginning ");
         s += poutNoComma(getStartYear());
         outputString.push_back(s);
      }
      if (getInd() == 2 || getInd() == 3) {
         string s("Tax benefits like private pension plans beginning ");
         s += poutNoComma(getStartYear());
         outputString.push_back(s);
      }
   }
}
