// $Id: LawChangeWIDFACTOR.cpp 1.5 2003/05/22 09:27:16EDT sfmckay Exp  $
//
// Functions needed for class to manage parameters for a proposal to
// change the factor for an aged widow(er) benefit.

#include <vector>
#include "LawChangeWIDFACTOR.h"
#include "PiaException.h"
#include "Resource.h"
#include "comma.h"
#include "oactcnst.h"

using namespace std;

// Description: Constructor.
LawChangeWIDFACTOR::LawChangeWIDFACTOR() :
LawChange("modify the aged widow(er) benefit calculation")
{ }

// Description: Prepares output strings for this change from present law.
//
// Arguments:
//   outputString: Table of output strings.
void LawChangeWIDFACTOR::prepareStrings(
std::vector<std::string> &outputString )
{
   if (getInd() > 0) {
      outputString.push_back(getTitle());
      if (getPhaseType() == 0)
         outputString.push_back("Effective for new eligibles");
      else
         outputString.push_back("Effective immediately for all persons");
      string s;
      switch (getInd()) {
      case 1:
         s = "Widow(er) factor changed immediately to 112.5% from ";
         break;
      case 2:
         s = "Widow(er) factor changed gradually to 112.5% from ";
         break;
      case 3:
         s = "Widow(er)'s RIM-LIM eliminated from ";
         break;
      default:
         s = "Unknown WIDFACTOR change from ";
      }
      s += poutNoComma(getStartYear());
      s += " to ";
      s += poutNoComma(getEndYear());
      outputString.push_back(s);
   }
}
