// $Id: LawChangeWIFEFACTOR.cpp 1.5 2003/05/22 09:27:16EDT sfmckay Exp  $
//
// Functions needed for class to manage parameters for a proposal to
// change the factor for an aged spouse benefit.

#include <vector>
#include "LawChangeWIFEFACTOR.h"
#include "PiaException.h"
#include "Resource.h"
#include "comma.h"
#include "oactcnst.h"

using namespace std;

// Description: Constructor.
LawChangeWIFEFACTOR::LawChangeWIFEFACTOR() :
LawChange("reduce aged wife factor to .33")
{ }

// Description: Prepares output strings for this change from present law.
//
// Arguments:
//   outputString: Table of output strings.
void LawChangeWIFEFACTOR::prepareStrings(
std::vector<std::string> &outputString )
{
   if (getInd() > 0) {
      outputString.push_back(getTitle());
      if (getPhaseType() == 0)
         outputString.push_back("Effective for new eligibles");
      else
         outputString.push_back("Effective immediately for all persons");
      string s = (getInd() == 1) ?
         "Factor changed immediately to 33% from " :
         "Factor changed gradually to 33% from ";
      s += poutNoComma(getStartYear());
      s += " to ";
      s += poutNoComma(getEndYear());
      outputString.push_back(s);
   }
}
