// $Id: PercPiaOut.cpp 1.2 2001/08/13 10:15:39EDT sfmckay Exp  $
//
// Functions to handle array of pia formula percentages.

#include "PercPiaOut.h"
#include "oactcnst.h"

using namespace std;

// Description: Initializes arrays.
//
// Arguments:
//   newLastYear: Maximum year of projection.
PercPiaOut::PercPiaOut( int newLastYear ) :
percPia1(YEAR79, newLastYear), percPia2(YEAR79, newLastYear),
percPia3(YEAR79, newLastYear)
{ }

// Arguments:
//   newBaseYear: Starting year of array. If the base year is not specified,
//     the arrays start in 1979.
//   newLastYear: Maximum year of projection.
PercPiaOut::PercPiaOut( int newBaseYear, int newLastYear ) :
percPia1(newBaseYear, newLastYear), percPia2(newBaseYear, newLastYear),
percPia3(newBaseYear, newLastYear)
{ }

// Description: Sets data for one year.
//
// Arguments:
//   year: Year for which data is set.
//   perc1: Value of first percentage.
//   perc2: Value of second percentage.
//   perc3: Value of third percentage.
void PercPiaOut::setData( int year, double perc1, double perc2, double perc3 )
{
   percPia1[year] = perc1;
   percPia2[year] = perc2;
   percPia3[year] = perc3;
}
