// $Id: PiaParamsLCTR.cpp 1.2 2006/11/08 11:05:18EST 044579 Development  $
//
// Functions needed for PiaParamsLCTR class.

#include "PiaParamsLCTR.h"
#include "AssumptionsNonFile.h"

using namespace std;

// Description: Constructor.
//
// Arguments:
//   newMaxyear: Maximum projected year.
//   altNum: The Trustees Report alternative.
//   newLawChange: Law change parameters.
PiaParamsLCTR::PiaParamsLCTR( int newMaxyear,
AssumptionType::assum_type altNum, const LawChangeArray& newLawChange ) :
PiaParamsLC(newMaxyear, newLawChange)
{
   AssumptionsNonFile assumptions(newMaxyear);
   setHistFqinc();
   assumptions.benefitIncMenu(altNum);
   updateCpiinc(assumptions.getBiProj().theData,
      assumptions.getCatchupDoc().catchup,
      assumptions.getBenefitInc(altNum), assumptions.getIstart(),
      assumptions.getBiProj().theData.getLastYear());
   assumptions.averageWageMenu(altNum);
   updateFqinc(assumptions.getAwincProj().awinc,
      assumptions.getAverageWage(altNum), assumptions.getIstart() - 1,
      assumptions.getAwincProj().awinc.getLastYear());
   projectFq();
   projectCpiinc();
   updateBases();
   updateYocAmountSpecMin();
}

// Description: Destructor.
PiaParamsLCTR::~PiaParamsLCTR()
{ }
