// $Id: Secondary.cpp 1.10 2001/09/05 11:28:37EDT sfmckay Exp  $
//
// Functions to handle secondary benefit.

#include "Secondary.h"
#include "PiaException.h"
#include "Resource.h"

// Description: Initializes codes to blank or zero.
Secondary::Secondary() : bic(), pifc(), entDate(), fullBenefit(0.),
benefit(0.), reducedBenefit(0.), roundedBenefit(0.), benefitFactor(0.),
monthsArdri(0), arf(0.)
{ }

// Description: Initializes codes to blank or zero.
void Secondary::deleteContents()
{
   bic.set("  ");
   pifc.set(' ');
   fullBenefit = benefit = reducedBenefit = roundedBenefit = 0.;
   benefitFactor = arf = 0.;
   monthsArdri = 0;
   entDate.deleteContents();
}

// Description: Checks data for validity.
//
// Throws: PiaException of type PIA_IDS_SECONDARY if bic is not set.
void Secondary::check()
{
   if (bic.getMajorBic() == ' ')
      throw PiaException(PIA_IDS_SECONDARY);
}
