// $Id: Sga.cpp 1.3 2001/09/05 11:28:37EDT sfmckay Exp  $
//
// Functions to manage the SGA amounts.
// NOTE:
// Any users of this class should make sure to call the project function
// because the constructor only initializes the historical data.

#include "Sga.h"

using namespace std;

// Description: Constructor.
//
// Arguments:
//   newLastYear: Last year allowed.
Sga::Sga( int newLastYear ) :
sgaBlindA(newLastYear), sgaBlindM(newLastYear),
sgaMinA(newLastYear), sgaMinM(newLastYear),
sgaMaxA(newLastYear), sgaMaxM(newLastYear)
{ }

// Description: Projects all SGA amounts.
//
// Arguments:
//   averageWages: Average wages to use for projection.
void Sga::project( const DoubleAnnual& averageWages )
{
   sgaBlindM.project(averageWages);
   sgaBlindA.convertMonthToAnnual(sgaBlindM);
   sgaMinM.project(averageWages);
   sgaMinA.convertMonthToAnnual(sgaMinM);
   sgaMaxM.project(averageWages);
   sgaMaxA.convertMonthToAnnual(sgaMaxM);
}
