// $Id: WageBase.cpp 1.4 2006/11/08 11:05:54EST 044579 Development  $
//
// Functions to handle wage base calculations.

#include "WageBase.h"

// Description: Initializes type of projection to present law.
//
// Remarks: The version without a newBaseYear argument starts the data array
// in 1937.
//
// Arguments:
//   newLastYear: Last year of projection.
WageBase::WageBase( int newLastYear ) : WageBaseGeneral(0, newLastYear)
{ }

// Arguments:
//   newBaseYear: First year of data. If omitted, first year is 1937.
WageBase::WageBase( int newBaseYear, int newLastYear ) :
WageBaseGeneral(0, newBaseYear, newLastYear)
{ }

// Description: Initializes type of projection to HI.
//
// Remarks: The version without a newBaseYear argument starts the data array
// in 1937.
//
// Arguments:
//   newLastYear: Last year of projection.
WageBaseHI::WageBaseHI( int newLastYear ) : WageBaseGeneral(3, newLastYear)
{ }

// Arguments:
//   newBaseYear: First year of data. If omitted, first year is 1937.
WageBaseHI::WageBaseHI( int newBaseYear, int newLastYear ) :
WageBaseGeneral(3, newBaseYear, newLastYear)
{ }

// Description: Initializes type of projection to old law.
//
// Remarks: The version without a newBaseYear argument starts the data array
// in 1937.
//
// Arguments:
//   newLastYear: Last year of projection.
WageBaseOldLaw::WageBaseOldLaw( int newLastYear ) :
WageBaseGeneral(2, newLastYear)
{ }

// Arguments:
//   newBaseYear: First year of data. If omitted, first year is 1937.
WageBaseOldLaw::WageBaseOldLaw( int newBaseYear, int newLastYear ) :
WageBaseGeneral(2, newBaseYear, newLastYear)
{ }
