// $Id: awbidat.cpp 1.14 2002/09/09 12:03:13EDT sfmckay Exp  $
//
// Functions to handle historical benefit increases, average wages, OASDI
// wage bases, old-law wage bases, and HI wage bases

#include "awbidat.h"
#include "oactcnst.h"
#include "BaseYearNonFile.h"

using namespace std;

// Description: Initializes historical parameters info.
//
// Arguments:
//   newLastYear: Last year of wage bases. If not specified, the year in
//     BaseYearNonFile is used.
//   newMaxyear: Maximum projected year.
AwbiData::AwbiData( int newLastYear, int newMaxyear ) :
cpiinc(YEAR51, newMaxyear), fq(YEAR37, newMaxyear),
baseOasdi(YEAR37, newMaxyear), base77(YEAR37, newMaxyear),
baseHi(YEAR37, newMaxyear), lastYear(newLastYear), maxyear(newMaxyear)
{
   cpiinc.setPrecision(1);
   fq.setPrecision(2);
   baseOasdi.setPrecision(2);
   base77.setPrecision(2);
   baseHi.setPrecision(2);
}

// Arguments:
//   newMaxyear: Maximum projected year.
AwbiData::AwbiData( int newMaxyear ) :
cpiinc(YEAR51, newMaxyear), fq(YEAR37, newMaxyear),
baseOasdi(YEAR37, newMaxyear), base77(YEAR37, newMaxyear),
baseHi(YEAR37, newMaxyear), lastYear(BaseYearNonFile::YEAR),
maxyear(newMaxyear)
{
   cpiinc.setPrecision(1);
   fq.setPrecision(2);
   baseOasdi.setPrecision(2);
   base77.setPrecision(2);
   baseHi.setPrecision(2);
}

// Description: Destructor.
AwbiData::~AwbiData()
{ }

// Description: Dummy function (descendant class may use it).
void AwbiData::read()
{ }

// Description: Dummy function (descendant class may use it).
void AwbiData::write()
{ }
