// $Id: baseyear.cpp 1.14 2005/07/20 10:41:39EDT 277133 Exp  $
//
// Functions to handle base year.

#include "baseyear.h"
#include "Resource.h"
#include "PiaException.h"
#include "oactcnst.h"

using namespace std;

// Description: Initializes base year to zero.
BaseYear::BaseYear() : theYear(0)
{ }

// Description: Destroys base year info.
BaseYear::~BaseYear()
{ }

// Description: Checks base year.
//
// Throws: PiaException of type PIA_IDS_BASEYR1 if base year is out of range
//   (1979-2020).  When the last short-range year is updated, the string tables
//   for anypia need to be changed to reflect the new maximum year.  
//
// Arguments:
//   newYear: New value of base year.
void BaseYear::yearCheck( int newYear )
{
   if (newYear < YEAR79 || newYear > LASTYRSR)
      throw PiaException(PIA_IDS_BASEYR1);
}
