// $Id: dinscode.cpp 1.12 2003/12/02 17:17:03EST sfmckay Exp  $
//
// Functions to handle one disability insured status code.

#include "dinscode.h"
#include "PiaException.h"

using namespace std;

// Description: Initializes data.
DisInsCode::DisInsCode() : theCode(NOQCS)
{ }

// Arguments:
//   newCode: New code to use. If omitted, the code is set to NOQCS.
DisInsCode::DisInsCode( DisInsCodeType newCode ) : theCode(newCode)
{ }

// Arguments:
//   newCode: The code to convert to a character.
char DisInsCode::toChar( DisInsCodeType newCode )
{
   switch (newCode) {
      case NOQCS:            return '0';
      case FULLAND2040:      return '1';
      case FULLANDSPECIAL:   return '2';
      case FULLANDDIB:       return '3';
      case FULLANDBLIND:     return '4';
      case NOTFULLNOT2040:   return '5';
      case NOTFULLHAS2040:   return '6';
      case FULLNOT2040:      return '7';
      case PRIMARYDEATH:     return '8';
      case NONPRIMARYDEATH:  return '9';
      case TOTALIZED:        return 'T';
      default:
         throw PiaException("Illegal InsCodeType in InsCode::toChar");
   }
}

// Description: Converts a character to a DisInsCodeType.
//
// Returns: The converted DisInsCodeType.
//
// Arguments:
//   dinscodechar: The character to convert to a DisInsCodeType.
DisInsCode::DisInsCodeType DisInsCode::ChartoCode( char dinscodechar )
{
   switch (dinscodechar) {
      case '0':            return NOQCS;
      case '1':      return FULLAND2040;
      case '2':   return FULLANDSPECIAL;
      case '3':       return FULLANDDIB;
      case '4':     return FULLANDBLIND;
      case '5':   return NOTFULLNOT2040;
      case '6':   return NOTFULLHAS2040;
      case '7':      return FULLNOT2040;
      case '8':     return PRIMARYDEATH;
      case '9':  return NONPRIMARYDEATH;
      case 'T':        return TOTALIZED;
      default:
         throw PiaException("Illegal char in InsCode::ChartoCode");
   }
}
