// $Id: inscode.cpp 1.12 2003/12/02 17:17:03EST sfmckay Exp  $
//
// Functions to handle an insured status code.

#include "inscode.h"
#include "PiaException.h"

// Description: Initializes data.
InsCode::InsCode() : theCode(NOQCS)
{ }

// Arguments:
//   newCode: Insured status code to use. If omitted, the code is initialized
//     to NOQCS.
InsCode::InsCode( InsCodeType newCode ) : theCode(newCode)
{ }

// Arguments:
//   newCode: The code to convert to a character.
char InsCode::toChar( InsCodeType newCode )
{
   switch (newCode) {
      case NOQCS:            return '0';
      case FULLANDCURRENT:   return '1';
      case CURRENTNOTFULL:   return '2';
      case FULLNOTCURRENT:   return '3';
      case UNINSURED:        return '4';
      case PERMANDCURRENT:   return '5';
      case PERMNOTCURRENT:   return '6';
      case PRIMARYDEATH:     return '7';
      case TRANSITIONAL:     return '8';
      case NONPRIMARYDEATH:  return '9';
      case DEEMED:           return 'D';
      case TOTALIZED:        return 'T';
      default:
         throw PiaException("Illegal InsCodeType in InsCode::toChar");
   }
}

// Description: Converts a character to an InsCodeType.
//
// Returns: The converted InsCodeType.
//
// Arguments:
//   inscodechar: The character to convert to an InsCodeType.
InsCode::InsCodeType InsCode::ChartoCode( char inscodechar )
{
   switch (inscodechar) {
      case '0':   return NOQCS;
      case '1':   return FULLANDCURRENT;
      case '2':   return CURRENTNOTFULL;
      case '3':   return FULLNOTCURRENT;
      case '4':   return UNINSURED;
      case '5':   return PERMANDCURRENT;
      case '6':   return PERMNOTCURRENT;
      case '7':   return PRIMARYDEATH;
      case '8':   return TRANSITIONAL;
      case '9':   return NONPRIMARYDEATH;
      case 'D':   return DEEMED;
      case 'T':   return TOTALIZED;
      default:
         throw PiaException("Illegal char in InsCode::ChartoCode");
   }
}
