// $Id: piaparmsAny.cpp 1.10 2002/06/13 12:01:57EDT sfmckay Exp  $
//
// Functions to handle additional PIA parameters used in Anypia.

#include <math.h>
#include "piaparmsAny.h"
#include "oactcnst.h"

// Description: Initializes arrays.
//
// Arguments:
//   newIstart: Year after last known benefit increase.
//   newMaxyear: Maximum projected year.
//   awbiData: Structure with historical amounts.
//   newLawChange: Law change parameters.
PiaParamsAny::PiaParamsAny( int newIstart, int newMaxyear, AwbiData& awbiData,
const LawChangeArray& newLawChange ) :
PiaParamsLC(newIstart, newMaxyear, awbiData, newLawChange),
wageHigh(YEAR37, newMaxyear), wageMin(YEAR37, newMaxyear)
{ }

// Description: Destroys arrays.
PiaParamsAny::~PiaParamsAny( )
{ }

// Description: Projects low earnings.
void PiaParamsAny::minProj()
{
   for (int i1 = YEAR37; i1 <= maxyear; i1++)
      wageMin[i1] = .45 * fq[i1];
}

// Description: Projects high earnings.
void PiaParamsAny::highProj()
{
   for (int i1 = YEAR37; i1 <= maxyear; i1++)
      wageHigh[i1] = 1.60 * fq[i1];
}

// Description: Projects average annual wage and amounts dependent on it.
void PiaParamsAny::projectFq()
{
   PiaParamsLC::projectFq();
   minProj();
   highProj();
}
