// $Id: ChildCareCalc1Page.h 1.8 2006/01/05 15:34:04EST 044579 Exp  $
//
// Declarations needed for class to manage wage indexed earnings with
// child-care dropout years.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages wage indexed earnings from the calculation of a Social
//   Security benefit with child-care dropout years.
//
// Remarks: Manages wage indexed earnings from the calculation of a Social
//   Security benefit with child-care dropout years.
class ChildCareCalc1Page : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
   public:
      ChildCareCalc1Page( const PiaCalAny& newPiaCal );
      ~ChildCareCalc1Page();
      void   prepareStrings();
private:
   // {secret}
   ChildCareCalc1Page& operator=( ChildCareCalc1Page& newChildCareCalc1Page );
};
