// $Id: ChildCareCalc2Page.h 1.7 2006/01/05 15:34:04EST 044579 Exp  $
//
// Declarations needed for class to manage wage indexed calculation with
// child-care dropout years.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"
#include "ChildCareCalc.h"

// {group:PiaOut Classes}
// Description: Manages wage indexed results with child-care
//   dropout years from the calculation of a Social Security benefit.
//
// Remarks: Manages wage indexed results with child-care
//   dropout years from the calculation of a Social Security benefit.
class ChildCareCalc2Page : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation parameters.
      const PiaParams& piaParams;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
      // User-specified assumptions
      const UserAssumptions& userAssumptions;
   public:
      ChildCareCalc2Page( const PiaCalAny& newPiaCal );
      ~ChildCareCalc2Page();
      void   prepareStrings();
private:
   // {secret}
   ChildCareCalc2Page& operator=( ChildCareCalc2Page& newChildCareCalc2Page );
};
