// $Id: DibGuarPage.h 1.4 2006/01/05 15:34:04EST 044579 Exp  $
//
// Declarations needed for class to manage disability guarantee calculation
// output.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages the disability guarantee results from
//   the calculation of a Social Security benefit.
//
// Remarks: Manages the disability guarantee results from
//   the calculation of a Social Security benefit.
class DibGuarPage : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation parameters.
      const PiaParams& piaParams;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
   protected:
      void piamfbDeath( const PiaMethod& piaMethod );
   public:
      DibGuarPage( const PiaCalAny& newPiaCal );
      ~DibGuarPage();
      void   prepareStrings();
private:
   // {secret}
   DibGuarPage& operator=( DibGuarPage& newDibGuarPage );
};
