// $Id: EarningsPage.h 1.6 2006/01/05 15:34:04EST 044579 Exp  $
//
// Declarations needed for class to manage earnings.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages earnings used in
//   the calculation of a Social Security benefit.
//
// Remarks: Manages earnings used in
//   the calculation of a Social Security benefit.
class EarningsPage : public PiaPageOut
{
protected:
   // Description: Worker basic data.
   const WorkerDataGeneral& workerData;
   // Description: Pia calculation summary data.
   const PiaData& piaData;
   // Description: Pia calculation parameters.
   const PiaParams& piaParams;
   // Description: Pia calculation detailed data.
   const PiaCalAny& piaCal;
   // Description: User-specified assumptions
   const UserAssumptions& userAssumptions;
public:
   EarningsPage( const PiaCalAny& newPiaCal );
   ~EarningsPage();
   void prepareStrings();
private:
   // {secret}
   EarningsPage& operator=( EarningsPage& newEarningsPage );
};
