// $Id: FamilyPage.h 1.6 2006/01/05 15:34:05EST 044579 Exp  $
//
// Declarations needed for class to manage family members' benefits.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages the results for the auxiliary
//   beneficiaries from the calculation of a Social Security benefit.
//
// Remarks: Manages the results for the auxiliary
//   beneficiaries from the calculation of a Social Security benefit.
class FamilyPage : public PiaPageOut
{
protected:
   // Description: Worker basic data.
   const WorkerDataGeneral& workerData;
   // Description: Pia calculation summary data.
   const PiaData& piaData;
   // Description: Widow and other family members' basic data.
   const WorkerDataArray& widowDataArray;
   // Description: Widow and other family members' calculation data.
   const PiaDataArray& widowArray;
   // Description: Pia calculation detailed data.
   const PiaCalAny& piaCal;
   // Description: Secondary benefits.
   const SecondaryArray& secondaryArray;
public:
   FamilyPage( const PiaCalAny& newPiaCal );
   ~FamilyPage();
   void prepareStrings();
private:
   // {secret}
   FamilyPage& operator=( FamilyPage& newFamilyPage );
};
