// $Id: FrozMinPage.h 1.7 2006/01/05 15:34:05EST 044579 Exp  $
//
// Declarations needed for class to manage frozen minimum calculation.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages the frozen minimum results from
//   the calculation of a Social Security benefit.
//
// Remarks: Manages the frozen minimum results from
//   the calculation of a Social Security benefit.
class FrozMinPage : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation parameters.
      const PiaParams& piaParams;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
   public:
      FrozMinPage( const PiaCalAny& newPiaCal );
      ~FrozMinPage();
      void   prepareStrings();
private:
   // {secret}
   FrozMinPage& operator=( FrozMinPage& newFrozMinPage );
};
