// $Id: InsuredPage.h 1.6 2006/01/05 15:34:05EST 044579 Exp  $
//
// Declarations needed for class to manage insured status.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages insured status determined in
//   the calculation of a Social Security benefit.
//
// Remarks: Manages insured status determined in
//   the calculation of a Social Security benefit.
class InsuredPage : public PiaPageOut
{
protected:
   // Description: Worker basic data.
   const WorkerDataGeneral& workerData;
   // Description: Pia calculation summary data.
   const PiaData& piaData;
   // Description: Pia calculation parameters.
   const PiaParams& piaParams;
   // Description: Pia calculation detailed data.
   const PiaCalAny& piaCal;
   // Description: Secondary benefits.
   const SecondaryArray& secondaryArray;
public:
   InsuredPage( const PiaCalAny& newPiaCal );
   ~InsuredPage();
   void prepareStrings();
private:
   // {secret}
   InsuredPage& operator=( InsuredPage& newInsuredPage );
};
