// $Id: OldStart1Page.h 1.7 2006/01/05 15:34:05EST 044579 Exp  $
//
// Declarations needed for class to manage old start calculation.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages old start earnings from the calculation of a Social
//   Security benefit.
//
// Remarks: Manages old start earnings from the calculation of a Social
//   Security benefit.
class OldStart1Page : public PiaPageOut
{
   protected:
      // Basic worker data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation parameters.
      const PiaParams& piaParams;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
   public:
      OldStart1Page( const PiaCalAny& newPiaCal );
      ~OldStart1Page();
      void   prepareStrings();
private:
   // {secret}
   OldStart1Page& operator=( OldStart1Page& newOldStart1Page );
};
