// $Id: OldStart2Page.h 1.9 2006/01/05 15:34:06EST 044579 Exp  $
//
// Declarations needed for class to manage old start calculation.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"
#include "OldStart.h"

// {group:PiaOut Classes}
// Description: Manages old start results from the calculation of a Social
//   Security benefit.
//
// Remarks: Manages old start results from the calculation of a Social
//   Security benefit.
class OldStart2Page : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation parameters.
      const PiaParams& piaParams;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
      // Description: Years of old-start Social Security Acts.
      static const char *iyros[OldStart::NUM_OLD_START_TYPES];
      // Description: Sub-titles of old-start Social Security Acts.
      static const char *ios77[OldStart::NUM_OLD_START_TYPES];
   public:
      OldStart2Page( const PiaCalAny& newPiaCal );
      ~OldStart2Page();
      void   prepareStrings();
      void   pubPenOut( const OldStart& oldStart, double pubpen, 
         const DateMoyr& pubpenDate );
private:
   // {secret}
   OldStart2Page& operator=( OldStart2Page& newOldStart2Page );
};
