// $Id: OnePage.h 1.7 2006/01/05 15:34:06EST 044579 Exp  $
//
// Declarations needed for class to manage one-page summary of results.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages one-page summary of results from
//   the calculation of a Social Security benefit.
//
// Remarks: Manages one-page summary of results from
//   the calculation of a Social Security benefit.
class OnePage : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
   public:
      OnePage( const PiaCalAny& newPiaCal );
      ~OnePage();
      void   prepareStrings();
      void   printEarn( int firstyr, int lastyr, int tier );
private:
   // {secret}
   OnePage& operator=( OnePage& newOnePage );
};
