// $Id: PebsCreditInfo.h 1.6 2006/01/05 15:34:06EST 044579 Exp  $
//
// Declarations needed for class to manage Social Security Statement credit
// info page.

#pragma once

#include "PebsPageOut.h"
#include "wrkrdata.h"
#include "piaparms.h"

// {group:PiaOut Classes}
// Description: Manages the Social Security Statement credit info page.
//
// Remarks: Manages the Social Security Statement credit info page.
class PebsCreditInfo : public PebsPageOut
{
protected:
   // Description: Worker basic data.
   const WorkerData& workerData;
   // Description: Pia calculation parameters.
   const PiaParams& piaParams;
public:
   PebsCreditInfo( const WorkerData& newWorkerData,
      const PiaParams& newPiaParams );
   ~PebsCreditInfo();
   void prepareStrings();
private:
   // {secret}
   PebsCreditInfo& operator=( PebsCreditInfo& newPebsCreditInfo );
};
