// $Id: PebsEarnings.h 1.7 2006/01/05 15:34:06EST 044579 Exp  $
//
// Declarations needed for class to manage Social Security Statement earnings
// page.

#pragma once

#include "PebsPageOut.h"
#include "piaparms.h"
#include "piadata.h"
#include "TaxData.h"

// {group:PiaOut Classes}
// Description: Manages the Social Security Statement earnings page.
//
// Remarks: Manages the Social Security Statement earnings page.
class PebsEarnings : public PebsPageOut
{
protected:
   // Description: Worker basic data.
   const WorkerData& workerData;
   // Description: Pia calculation data.
   const PiaData& piaData;
   // Description: Pia calculation parameters.
   const PiaParams& piaParams;
   // Description: Tax amounts.
   const TaxData& taxData;
public:
   PebsEarnings( const WorkerData& newWorkerData, const PiaData& newPiaData,
      const PiaParams& newPiaParams, const TaxData& newTaxData );
   ~PebsEarnings();
   void prepareStrings();
private:
   // {secret}
   PebsEarnings& operator=( PebsEarnings& newPebsEarnings );
};
