// $Id: PebsOut.cpp 1.9 2006/01/05 15:34:07EST 044579 Exp  $
//
// Functions to print out the Social Security Statement.

#include "PebsOut.h"

using namespace std;

// Description: Initializes PebsOut instance.
//
// Arguments:
//   newWorkerData: Worker data.
//   newPiaData: Pia calculation data.
//   newFieldOfficeInfo: Field office information.
//   newPebs: Social Security Statement data.
//   newPiaParams: Pia calculation parameters.
//   newTaxData: Taxes paid.
//   newEarnProject: Projected earnings information.
PebsOut::PebsOut( const WorkerData& newWorkerData, const PiaData& newPiaData,
const FieldOfficeInfo& newFieldOfficeInfo, const Pebs& newPebs,
const PiaParams& newPiaParams, const TaxData& newTaxData,
const EarnProject& newEarnProject ) :
pebsLetter(newWorkerData, newFieldOfficeInfo),
pebsWorkerInfo(newWorkerData, newPebs, newPiaParams, newEarnProject),
pebsCreditInfo(newWorkerData, newPiaParams),
pebsEarnings(newWorkerData, newPiaData, newPiaParams, newTaxData),
pebsOasdiEst(newWorkerData, newPebs),
pebsEarningsInfo(newPiaParams),
pebsOasdiInfo(newWorkerData),
pebsWorkerEarnings(pebsWorkerInfo, pebsEarningsInfo)
{ }

// Description: Destructor.
PebsOut::~PebsOut()
{ }

// Description: Prepares strings for printing.
void PebsOut::prepareStrings()
{
   pebsLetter.prepareStrings();
   pebsWorkerInfo.prepareStrings();
   pebsCreditInfo.prepareStrings();
   pebsEarnings.prepareStrings();
   pebsOasdiEst.prepareStrings();
   pebsEarningsInfo.prepareStrings();
   pebsOasdiInfo.prepareStrings();
   pebsWorkerEarnings.prepareStrings();
}

// Description: Fills out page numbers.
void PebsOut::setPageNum()
{
   int pageCount = 0;
   pebsWorkerInfo.setPageNum(++pageCount);
   pebsEarnings.setPageNum(++pageCount);
   pebsOasdiEst.setPageNum(++pageCount);
   pebsCreditInfo.setPageNum(++pageCount);
   pebsOasdiInfo.setPageNum(++pageCount);
}
