// $Id: PebsOut.h 1.6 2006/01/05 15:34:07EST 044579 Exp  $
//
// Declarations needed for class to manage Social Security Statement printout.

#pragma once

#include "wrkrdata.h"
#include "piaparms.h"
#include "foinfo.h"
#include "pebs.h"
#include "outfile.h"
#include "TaxData.h"
#include "PebsLetter.h"
#include "PebsWorkerInfo.h"
#include "PebsCreditInfo.h"
#include "PebsEarnings.h"
#include "PebsOasdiEst.h"
#include "PebsEarningsInfo.h"
#include "PebsOasdiInfo.h"
#include "PebsWorkerEarnings.h"

// {group:PiaOut Classes}
// Description: Manages the functions required to print out the
//   results of a Social Security Statement calculation.
//
// Remarks: Manages the functions required to print out the
//   results of a Social Security Statement calculation.
class PebsOut
{
   public:
      // Description: Letter transmitting results.
      PebsLetter pebsLetter;
      // Description: Worker information
      PebsWorkerInfo pebsWorkerInfo;
      // Description: Credit information
      PebsCreditInfo pebsCreditInfo;
      // Description: Earnings information.
      PebsEarnings pebsEarnings;
      // Description: OASDI estimates.
      PebsOasdiEst pebsOasdiEst;
      // Description: Earnings information.
      PebsEarningsInfo pebsEarningsInfo;
      // Description: OASDI benefit information.
      PebsOasdiInfo pebsOasdiInfo;
      // Description: Worker information and earnings.
      PebsWorkerEarnings pebsWorkerEarnings;
   public:
      PebsOut( const WorkerData& newWorkerData, const PiaData& newPiaData,
         const FieldOfficeInfo& newFoinfo, const Pebs& newPebs,
         const PiaParams& newPiaParams, const TaxData& newTaxData,
         const EarnProject& newEarnProject );
      ~PebsOut();
      void  prepareStrings();
      void  setPageNum();
};
