// $Id: PebsPageOut.cpp 1.4 2003/05/20 10:39:13EDT sfmckay Exp  $
//
// Functions to write out results of benefit calculation.

#include "PebsPageOut.h"
#include "comma.h"
#include "FormatString.h"
#include "oactcnst.h"
#include "cminmax.h"
#include "PiaException.h"
#include "Resource.h"

using namespace std;

const string PebsPageOut::equals(72, '=');
const string PebsPageOut::hyphens(72, '-');

// Description: Initializes PebsPageOut.
PebsPageOut::PebsPageOut() : PageOut()
{ }

// Description: Destructor.
PebsPageOut::~PebsPageOut()
{ }

// Description: Prepares header string for output.
//
// Arguments:
//   workerData: Worker data.
void PebsPageOut::prepareHeader( const WorkerData& workerData )
{
   string s = workerData.getNhname();
   s += "  ";
   s += workerData.ssn.toString();
   string::size_type slength = s.size();
   s.append(66 - slength, ' ');
   s += "Page ";
   s += poutNoComma(page);
   outputString.push_back(s);
   outputString.push_back(equals);
}
