// $Id: PebsPageOut.h 1.4 2006/01/05 15:34:07EST 044579 Exp  $
//
// Declarations needed for class to manage Social Security Statement output.

#pragma once

#include "PageOut.h"
#include "PiaMethod.h"
#include "wrkrdata.h"

// {group:PiaOut Classes}
// Description: Manages the Social Security Statement print
//   output functions used in the calculation of a Social Security benefit.
//
// Remarks: Manages the Social Security Statement print
//   output functions used in the calculation of a Social Security benefit.
class PebsPageOut : public PageOut
{
   public:
      // Description: String of equals signs.
      static const std::string equals;
      // Description: String of hyphens.
      static const std::string hyphens;
   protected:
      // Description: Page number.
      int page;
public:
   PebsPageOut();
   ~PebsPageOut();
   void prepareHeader( const WorkerData& workerData );
   // Description: Sets page number.
   //
   // Arguments:
   //   newPage: New page number.
   void setPageNum( int newPage ) { page = newPage; }
};
