// $Id: PebsWorkerInfo.h 1.7 2006/01/05 15:34:07EST 044579 Exp  $
//
// Declarations needed for class to manage Social Security Statement worker
// info page.

#pragma once

#include "PebsPageOut.h"
#include "wrkrdata.h"
#include "piaparms.h"
#include "pebs.h"
#include "EarnProject.h"

// {group:PiaOut Classes}
// Description: Manages the Social Security Statement worker info page.
//
// Remarks: Manages the Social Security Statement worker info page.
class PebsWorkerInfo : public PebsPageOut
{
protected:
   // Description: Worker basic data.
   const WorkerData& workerData;
   // Description: Pebs results.
   const Pebs& pebs;
   // Description: Pia calculation parameters.
   const PiaParams& piaParams;
   // Description: Annual earnings.
   const EarnProject& earnProject;
public:
   PebsWorkerInfo( const WorkerData& newWorkerData, const Pebs& newPebs,
      const PiaParams& newPiaParams, const EarnProject& newEarnProject );
   ~PebsWorkerInfo();
   void prepareStrings();
private:
   // {secret}
   PebsWorkerInfo& operator=( PebsWorkerInfo& newPebsWorkerInfo );
};
