// $Id: PiaTable1Page.h 1.7 2006/01/05 15:34:08EST 044579 Exp  $
//
// Declarations needed for class to manage pia table calculation.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages the pia table calculation from
//   the calculation of a Social Security benefit.
//
// Remarks: Manages the pia table calculation from
//   the calculation of a Social Security benefit.
class PiaTable1Page : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation parameters.
      const PiaParams& piaParams;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
   public:
      PiaTable1Page( const PiaCalAny& newPiaCal );
      ~PiaTable1Page();
      void   prepareStrings();
private:
   // {secret}
   PiaTable1Page& operator=( PiaTable1Page& newPiaTable1Page );
};
