// $Id: ReindWid1Page.cpp 1.14 2006/01/05 15:34:08EST 044579 Exp  $
//
// Function to write out re-indexed widow earnings page.

#include "ReindWid1Page.h"
#include "ReindWid.h"
#include "comma.h"
#include "FormatString.h"
#include "PiaException.h"
#include "Resource.h"

using namespace std;

// Description: Initializes ReindWid1Page.
//
// Arguments:
//   newPiaCal: Benefit calculation parameters and results.
ReindWid1Page::ReindWid1Page( const PiaCalAny& newPiaCal ) :
PiaPageOut(), workerData(newPiaCal.workerData), piaData(newPiaCal.piaData),
piaCal(newPiaCal), userAssumptions(newPiaCal.userAssumptions)
{ }

// Description: Destructor.
ReindWid1Page::~ReindWid1Page()
{ }

// Description: Prepares reindexed widow strings for printing.
void ReindWid1Page::prepareStrings()
{
   try {
      if (reindWid != (const ReindWid*)0 && reindWid->getApplicable() > 0) {
         const AverageWage& earnings = workerData.getTotalize() ?
            piaData.earnTotalizedLimited : piaData.earnOasdiLimited;
         pageTitle[0] = reindWid->getTitle();
         outputString.clear();
         prepareHeader();
         printIndexedEarningsTable(*reindWid, piaData, reindWid->getEligYear(),
            earnings, piaData.getEarn50(PiaData::EARN_NO_TOTALIZATION));
         // print noninsured message
         nonIns(piaData.getFinsCode2());
         if (workerData.getJoasdi() == WorkerDataGeneral::DISABILITY)
            disInsOut(piaData);
         outputString.push_back("");
         printNameSsn(workerData);
      }
   } catch (PiaException&) {
      throw PiaException(PIA_IDS_RWSTRING);
   }
}
