// $Id: ReindWid1Page.h 1.9 2006/01/05 15:34:08EST 044579 Exp  $
//
// Declarations needed for class to manage re-indexed widow earnings.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages re-indexed widow earnings from
//   the calculation of a Social Security benefit.
//
// Remarks: Manages re-indexed widow earnings from
//   the calculation of a Social Security benefit.
class ReindWid1Page : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
      // User-specified assumptions
      const UserAssumptions& userAssumptions;
   public:
      // Reindexed widow(er) calculation.
      const ReindWid* reindWid;
   public:
      ReindWid1Page( const PiaCalAny& newPiaCal );
      ~ReindWid1Page();
      void   prepareStrings();
private:
   // {secret}
   ReindWid1Page& operator=( ReindWid1Page& newReindWid1Page );
};
