// $Id: ReindWid2Page.h 1.10 2006/01/05 15:34:09EST 044579 Exp  $
//
// Declarations needed for class to manage re-indexed widow calculation.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages re-indexed widow calculation from
//   the calculation of a Social Security benefit.
//
// Remarks: Manages re-indexed widow calculation from
//   the calculation of a Social Security benefit.
class ReindWid2Page : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation parameters.
      const PiaParams& piaParams;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
      // User-specified assumptions
      const UserAssumptions& userAssumptions;
   public:
      // Reindexed widow(er) calculation.
      const ReindWid* reindWid;
   public:
      ReindWid2Page( const PiaCalAny& newPiaCal );
      ~ReindWid2Page();
      void   prepareStrings();
private:
   // {secret}
   ReindWid2Page& operator=( ReindWid2Page& newReindWid2Page );
};
