// $Id: SpecMin1Page.h 1.7 2006/01/05 15:34:09EST 044579 Exp  $
//
// Declarations needed for class to manage special minimum calculation.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages special minimum earnings from
//   the calculation of a Social Security benefit.
//
// Remarks: Manages special minimum earnings from
//   the calculation of a Social Security benefit.
class SpecMin1Page : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation parameters.
      const PiaParams& piaParams;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
   public:
      SpecMin1Page( const PiaCalAny& newPiaCal );
      ~SpecMin1Page();
      void   prepareStrings();
private:
   // {secret}
   SpecMin1Page& operator=( SpecMin1Page& newSpecMin1Page );
};
