// $Id: SpecMin2Page.h 1.7 2006/01/05 15:34:09EST 044579 Exp  $
//
// Declarations needed for class to manage special minimum calculation.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages special minimum calculation details from
//   the calculation of a Social Security benefit.
//
// Remarks: Manages special minimum calculation details from
//   the calculation of a Social Security benefit.
class SpecMin2Page : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation parameters.
      const PiaParams& piaParams;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
   public:
      SpecMin2Page( const PiaCalAny& newPiaCal );
      ~SpecMin2Page();
      void   prepareStrings();
private:
   // {secret}
   SpecMin2Page& operator=( SpecMin2Page& newSpecMin2Page );
};
