// $Id: Summary1Page.h 1.6 2006/01/05 15:34:09EST 044579 Exp  $
//
// Declarations needed for class to manage top part of summary of results.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages the top part of the summary of
//   results from the calculation of a Social Security benefit.
//
// Remarks: Manages the top part of the summary of
//   results from the calculation of a Social Security benefit.
class Summary1Page : public PiaPageOut
{
protected:
   // Description: Worker basic data.
   const WorkerDataGeneral& workerData;
   // Description: Pia calculation summary data.
   const PiaData& piaData;
   // Description: Pia calculation detailed data.
   const PiaCalAny& piaCal;
public:
   Summary1Page( const PiaCalAny& newPiaCal );
   ~Summary1Page();
   void prepareStrings();
   void printDisInfo();
private:
   // {secret}
   Summary1Page& operator=( Summary1Page& newSummary1Page );
};
