// $Id: Summary3Page.h 1.9 2008/04/25 13:01:43EDT 277133 Development  $
//
// Declarations needed for class to manage bottom part of summary of results.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages the bottom part of the summary of
//   results from the calculation of a Social Security benefit.
//
// Remarks: Manages the bottom part of the summary of
//   results from the calculation of a Social Security benefit.
class Summary3Page : public PiaPageOut
{
protected:
   // Description: Worker basic data.
   const WorkerDataGeneral& workerData;
   // Description: Pia calculation summary data.
   const PiaData& piaData;
   // Description: Pia calculation detailed data.
   const PiaCalAny& piaCal;
   // Description: User-specified assumptions
   const UserAssumptions& userAssumptions;
   // Description: Projected earnings.
   const EarnProject& earnProject;
   // Description: Indicator for AWI projections in estimate.
   bool awiProj;
   // Description: Indicator for COLA projections in estimate.
   bool biProj;
public:
   Summary3Page( const PiaCalAny& newPiaCal );
   ~Summary3Page();
   void bottom3( bool isPebs );
   void nonInsPara();
   void disclaimer();
   void prepareStrings();
private:
   // {secret}
   Summary3Page& operator=( Summary3Page& newSummary3Page );
};
