// $Id: SummaryPage.cpp 1.4 2003/05/20 10:39:16EDT sfmckay Exp  $
//
// Functions to write out summary page of results.

#include "SummaryPage.h"

using namespace std;

// Description: Initializes SummaryPage.
//
// Arguments:
//   newSummary1Page: Top part of summary page.
//   newSummary2Page: Middle part of summary page.
//   newSummary3Page: Bottom part of summary page.
SummaryPage::SummaryPage( const Summary1Page& newSummary1Page,
const Summary2Page& newSummary2Page, const Summary3Page& newSummary3Page ) :
PageOut(), summary1Page(newSummary1Page),
summary2Page(newSummary2Page), summary3Page(newSummary3Page)
{ }

// Description: Destructor.
SummaryPage::~SummaryPage()
{ }

// Description: Prepares top part of summary page.
void SummaryPage::prepareStrings()
{
   unsigned int i;  // loop counter

   outputString.clear();
   for (i = 0u; i < summary1Page.getCount(); i++) {
      outputString.push_back(summary1Page.getString(i));
   }
   for (i = 0u; i < summary2Page.getCount(); i++) {
      outputString.push_back(summary2Page.getString(i));
   }
   for (i = 0u; i < summary3Page.getCount(); i++) {
      outputString.push_back(summary3Page.getString(i));
   }
}
