// $Id: SummaryPage.h 1.3 2006/01/05 15:34:10EST 044579 Exp  $
//
// Declarations needed for class to manage the summary page of results.

#pragma once

#include "Summary1Page.h"
#include "Summary2Page.h"
#include "Summary3Page.h"

// {group:PiaOut Classes}
// Description: Manages the summary page of
//   results from the calculation of a Social Security benefit.
//
// Remarks: Manages the summary page of
//   results from the calculation of a Social Security benefit.
class SummaryPage : public PageOut
{
protected:
   // Description: Top part of summary page.
   const Summary1Page& summary1Page;
   // Description: Middle part of summary page.
   const Summary2Page& summary2Page;
   // Description: Bottom part of summary page.
   const Summary3Page& summary3Page;
public:
   SummaryPage( const Summary1Page& newSummary1Page,
     const Summary2Page& newSummary2Page,
     const Summary3Page& newSummary3Page );
   ~SummaryPage();
   void prepareStrings();
private:
   // {secret}
   SummaryPage& operator=( SummaryPage& newSummaryPage );
};
