// $Id: TaxesPage.h 1.6 2006/01/05 15:34:10EST 044579 Exp  $
//
// Declarations needed for class to manage taxes output page.

#pragma once

#include "PiaPageOut.h"
#include "piadata.h"
#include "TaxData.h"

// {group:PiaOut Classes}
// Description: Manages the taxes output page.
//
// Remarks: Manages the taxes output page.
class TaxesPage : public PiaPageOut
{
protected:
   // Description: Worker basic data.
   const WorkerDataGeneral& workerData;
   // Description: Pia calculation summary data.
   const PiaData& piaData;
   // Description: Pia calculation parameters.
   const TaxData& taxData;
public:
   TaxesPage( const WorkerDataGeneral& newWorkerData,
      const PiaData& newPiaData, const TaxData& newTaxData );
   ~TaxesPage();
   void prepareStrings();
private:
   // {secret}
   TaxesPage& operator=( TaxesPage& newTaxesPage );
};
