// $Id: TransGuar1Page.cpp 1.10 2006/01/05 15:34:10EST 044579 Exp  $
//
// Function to write out transitional guarantee calculation.

#include "TransGuar1Page.h"
#include "TransGuar.h"
#include "comma.h"
#include "FormatString.h"
#include "PiaException.h"
#include "Resource.h"

using namespace std;

// Description: Initializes TransGuar1Page.
//
// Arguments:
//   newPiaCal: Benefit calculation parameters and results.
TransGuar1Page::TransGuar1Page( const PiaCalAny& newPiaCal ) : PiaPageOut(),
workerData(newPiaCal.workerData), piaData(newPiaCal.piaData), piaCal(newPiaCal)
{ }

// Description: Destructor.
TransGuar1Page::~TransGuar1Page()
{ }

// Description: Prepares transitional guarantee strings for printing.
void TransGuar1Page::prepareStrings()
{
   try {
      const TransGuar* transGuar = piaCal.transGuar;
      if (transGuar != (const TransGuar*)0 && transGuar->getApplicable() > 0) {
         const AverageWage& earnings = workerData.getTotalize() ?
            piaData.earnTotalizedLimited : piaData.earnOasdiLimited;
         pageTitle[0] = transGuar->getTitle();
         outputString.clear();
         prepareHeader();
         tableHead2();
         for (int i1 = piaData.getEarn50(PiaData::EARN_NO_TOTALIZATION);
            i1 <= piaData.getEarnYear(); ++i1) {
            string s = poutNoComma(i1);
            s += poutComma(earnings[i1], 14, 2);
            if (transGuar->iorder[i1] > 0)
               s += poutComma(transGuar->earnIndexed[i1], 14, 2);
            outputString.push_back(s);
         }
         outputString.push_back("");
         // print noninsured message
         nonIns(piaData.getFinsCode2());
         if (workerData.getJoasdi() == WorkerDataGeneral::DISABILITY)
            disInsOut(piaData);
         outputString.push_back("");
         printNameSsn(workerData);
      }
   } catch (PiaException&) {
      throw PiaException(PIA_IDS_TGSTRING);
   }
}
