// $Id: TransGuar1Page.h 1.7 2006/01/05 15:34:10EST 044579 Exp  $
//
// Declarations needed for class to manage transitional guarantee calculation.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages transitional guarantee earnings
//   from the calculation of a Social Security benefit.
//
// Remarks: Manages transitional guarantee earnings
//   from the calculation of a Social Security benefit.
class TransGuar1Page : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
   public:
      TransGuar1Page( const PiaCalAny& newPiaCal );
      ~TransGuar1Page();
      void   prepareStrings();
private:
   // {secret}
   TransGuar1Page& operator=( TransGuar1Page& newTransGuar1Page );
};
