// $Id: TransGuar2Page.h 1.7 2006/01/05 15:34:10EST 044579 Exp  $
//
// Declarations needed for class to manage transitional guarantee calculation.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages transitional guarantee results
//   from the calculation of a Social Security benefit.
//
// Remarks: Manages transitional guarantee results
//   from the calculation of a Social Security benefit.
class TransGuar2Page : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation parameters.
      const PiaParams& piaParams;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
   public:
      TransGuar2Page( const PiaCalAny& newPiaCal );
      ~TransGuar2Page();
      void   prepareStrings();
private:
   // {secret}
   TransGuar2Page& operator=( TransGuar2Page& newTransGuar2Page );
};
