// $Id: WageInd1Page.cpp 1.13 2006/01/05 15:34:10EST 044579 Exp  $
//
// Function to write out wage indexed earnings.

#include "WageInd1Page.h"
#include "WageInd.h"
#include "comma.h"
#include "FormatString.h"
#include "PiaException.h"
#include "Resource.h"

using namespace std;

// Description: Initializes WageInd1Page.
//
// Arguments:
//   newPiaCal: Benefit calculation parameters and results.
WageInd1Page::WageInd1Page( const PiaCalAny& newPiaCal ) : PiaPageOut(),
workerData(newPiaCal.workerData), piaData(newPiaCal.piaData), piaCal(newPiaCal)
{ }

// Description: Destructor.
WageInd1Page::~WageInd1Page()
{ }

// Description: Prepares wage indexed strings for printing.
void WageInd1Page::prepareStrings()
{
   try {
      const WageInd* wageInd = (const WageInd*)piaCal.wageInd;
      if (wageInd != (const WageInd*)0 && wageInd->getApplicable() > 0) {
         const AverageWage& earnings = workerData.getTotalize() ?
            piaData.earnTotalizedLimited : piaData.earnOasdiLimited;
         pageTitle[0] = wageInd->getTitle();
         outputString.clear();
         prepareHeader();
         const int earn50 = piaData.getEarn50(workerData.getTotalize() ?
            PiaData::EARN_WITH_TOTALIZATION : PiaData::EARN_NO_TOTALIZATION);
         printIndexedEarningsTable(*wageInd, piaData, piaData.getEligYear(),
            earnings, earn50);
         // print noninsured message
         nonIns(piaData.getFinsCode2());
         if (workerData.getJoasdi() == WorkerDataGeneral::DISABILITY)
            disInsOut(piaData);
         outputString.push_back("");
         printNameSsn(workerData);
      }
   } catch (PiaException&) {
      throw PiaException(PIA_IDS_WISTRING);
   }
}
