// $Id: WageInd1Page.h 1.8 2006/01/05 15:34:11EST 044579 Exp  $
//
// Declarations needed for class to manage wage indexed earnings.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"

// {group:PiaOut Classes}
// Description: Manages wage indexed earnings from the calculation of a
//   Social Security benefit.
//
// Remarks: Manages wage indexed earnings from the calculation of a
//   Social Security benefit.
class WageInd1Page : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
   public:
      WageInd1Page( const PiaCalAny& newPiaCal );
      ~WageInd1Page();
      void   prepareStrings();
private:
   // {secret}
   WageInd1Page& operator=( WageInd1Page& newWageInd1Page );
};
