// $Id: WageInd2Page.h 1.8 2006/01/05 15:34:11EST 044579 Exp  $
//
// Declarations needed for class to manage wage indexed calculation.

#pragma once

#include "PiaPageOut.h"
#include "PiaCalAny.h"
#include "WageInd.h"

// {group:PiaOut Classes}
// Description: Manages wage indexed results from the calculation of a Social
//   Security benefit.
//
// Remarks: Manages wage indexed results from the calculation of a Social
//   Security benefit.
class WageInd2Page : public PiaPageOut
{
   protected:
      // Worker basic data.
      const WorkerDataGeneral& workerData;
      // Pia calculation summary data.
      const PiaData& piaData;
      // Pia calculation parameters.
      const PiaParams& piaParams;
      // Pia calculation detailed data.
      const PiaCalAny& piaCal;
      // User-specified assumptions
      const UserAssumptions& userAssumptions;
   public:
      WageInd2Page( const PiaCalAny& newPiaCal );
      ~WageInd2Page();
      void   prepareStrings();
private:
   // {secret}
   WageInd2Page& operator=( WageInd2Page& newWageInd2Page );
};
