// $Id: OutDC.cpp 1.2 2007/03/08 14:09:24EST 044579 Development  $
//
// Functions to write to a device context (DC).

#include <afxwin.h>
#include "OutDC.h"

using namespace std;

// Description: Initializes a new OutDC.
OutDC80::OutDC80() : Out80("", ""), ht(0), y(0), x(10), pDC(NULL)
{ }

// Description: Prints one line of text with a newline.
//
// Arguments:
//   str: Line of text to print.
void OutDC80::printLine( const std::string& str )
{
    pDC->TextOut(x, y, CString(str.c_str())); y += ht;
}

// Arguments:
//   temp: Line of text to print.
void OutDC80::printLine( const char* temp )
{
    pDC->TextOut(x, y, CString(temp)); y += ht;
}

// Description: Prints one line of text without newline.
//
// Arguments:
//   str: Line of text to print.
void OutDC80::printLinena( const std::string& str )
{
    pDC->TextOut(x, y, CString(str.c_str()));
}

// Arguments:
//   temp: Line of text to print.
void OutDC80::printLinena( const char* temp )
{
    pDC->TextOut(x, y, CString(temp));
}
