// $Id: OutDC.h 1.1 2003/06/02 15:30:29EDT sfmckay Exp 277133(2007/10/16 07:00:26EDT) $
//
// Declarations needed for OutDC class

#pragma once
#ifndef __OUTDC_H
#define __OUTDC_H

#include "outfile.h"
class CDC;

// {group:Windows Classes}
// Description: Handles output to a Windows window.
//
// Remarks: Handles output to a Windows window.
class OutDC80 : public Out80
{
   private:
      // Height of one line in pixels.
      int ht;
      // Number of vertical pixels from top of page.
      int y;
      // Number of horizontal pixels from left side of page.
      int x;
      // Pointer to device context.
      CDC* pDC;
   public:
      OutDC80();
      void advanceLine();
      void formfeed();
      void printLine( const std::string& str );
      void printLine( const char* temp );
      void printLinena( const std::string& str );
      void printLinena( const char* temp );
      void setDC( CDC* newDC );
      void setHeight( int newht );
      void setx( int newx );
      void sety( int newy );
};

// Description: Advances one line.
inline void OutDC80::advanceLine()
{ y += ht; }

// Description: Sets device context to use.
//
// Arguments:
//   newDC:  New device context to use.
inline void OutDC80::setDC( CDC* newDC )
{ pDC = newDC; }

// Description: Sets height of one line.
//
// Arguments:
//   newht:  New height of one line.
inline void OutDC80::setHeight( int newht )
{ ht = newht; }

// Description: Sets horizontal margin.
//
// Arguments:
//   newx:  New horizontal margin.
inline void OutDC80::setx( int newx )
{ x = newx; }

// Description: Sets vertical margin.
//
// Arguments:
//   newy:  New vertical margin.
inline void OutDC80::sety( int newy )
{ y = newy; }

// Description: Dummy function.
inline void OutDC80::formfeed()
{ }

#endif // __OUTDC_H
