// $Id: OutFile132.cpp 1.5 2007/10/16 14:00:03EDT 277133 Development  $
//
// Various functions used in print routines.

#include "OutFile132.h"
#include "Resource.h"
#include "PiaException.h"

using namespace std;

// Description: Initializes OutFile132.
//
// Remarks: The version without a newExtension uses ".out".
//
// Arguments:
//   newCorename: Name of stream.
OutFile132::OutFile132( const std::string& newCorename ) :
Out132(newCorename, ".out"), cols(6)
{
   colstring = new char[cols + 1];
   for (int i = 0; i < cols; i++)
      colstring[i] = ' ';
   colstring[cols] = '\0';
}

// Arguments:
//   newExtension: New extension on the file name.
OutFile132::OutFile132( const std::string& newCorename,
 const std::string& newExtension ) :
Out132(newCorename, newExtension), cols(6)
{
   colstring = new char[cols + 1];
   for (int i = 0; i < cols; i++)
      colstring[i] = ' ';
   colstring[cols] = '\0';
}

// Description: Destructor.
OutFile132::~OutFile132()
{
   delete [] colstring;
}

// Description: Sets number of columns on left-hand margin.
//
// Arguments:
//   newCols: New number of columns.
void OutFile132::setCols( int newCols )
{
   cols = newCols;
   delete colstring;
   colstring = new char[cols + 1];
   for (int i = 0; i < cols; i++)
      colstring[i] = ' ';
   colstring[cols] = '\0';
}
