// $Id: OutFile80.cpp 1.6 2007/10/16 14:00:03EDT 277133 Development  $
//
// Various functions used in print routines.

#include "OutFile80.h"
#include "Resource.h"
#include "PiaException.h"

using namespace std;

// Description: Initializes OutFile80.
//
// Remarks: The version without a newExtension uses ".out".
//
// Arguments:
//   newCorename: Name of stream.
OutFile80::OutFile80( const std::string& newCorename ) :
Out80(newCorename, ".out"), cols(6)
{
   colstring = new char[cols + 1];
   for (int i = 0; i < cols; i++)
      colstring[i] = ' ';
   colstring[cols] = '\0';
}

// Arguments:
//   newExtension: New extension on the file name.
OutFile80::OutFile80( const std::string& newCorename,
 const std::string& newExtension ) :
Out80(newCorename, newExtension), cols(6)
{
   colstring = new char[cols + 1];
   for (int i = 0; i < cols; i++)
      colstring[i] = ' ';
   colstring[cols] = '\0';
}

// Description: Destructor.
OutFile80::~OutFile80()
{
   delete [] colstring;
}

// Description: Sets number of columns on left-hand margin.
//
// Arguments:
//   newCols: New number of columns.
void OutFile80::setCols( int newCols )
{
   cols = newCols;
   delete colstring;
   colstring = new char[cols + 1];
   for (int i = 0; i < cols; i++)
      colstring[i] = ' ';
   colstring[cols] = '\0';
}
